scala.xml

# Text

#### class Text extends Atom[String]

The class `Text` implements an XML node for text (PCDATA). It is used in both non-bound and bound XML representations.

Source
  Text.scala

Linear Supertypes
Atom[String], Serializable, java.io.Serializable, SpecialNode, XMLEvent, Node, NodeSeq, Equality, collection.immutable.Seq[Node], collection.immutable.Iterable[Node], collection.immutable.Traversable[Node], Immutable, AbstractSeq[Node], collection.Seq[Node], SeqLike[Node, NodeSeq], GenSeq[Node], GenSeqLike[Node, NodeSeq], PartialFunction[Int, Node], (Int) ⇒ Node, AbstractIterable[Node], collection.Iterable[Node], IterableLike[Node, NodeSeq], Equals, GenIterable[Node], GenIterableLike[Node, NodeSeq], AbstractTraversable[Node], collection.Traversable[Node], GenTraversable[Node], GenericTraversableTemplate[Node, collection.immutable.Seq], TraversableLike[Node, NodeSeq], GenTraversableLike[Node, NodeSeq], Parallelizable[Node, ParSeq[Node]], collection.TraversableOnce[Node], GenTraversableOnce[Node], FilterMonadic[Node, NodeSeq], HasNewBuilder[Node, NodeSeq], AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Text
2. Atom
3. Serializable
4. Serializable
5. SpecialNode
6. XMLEvent
7. Node
8. NodeSeq
9. Equality
10. Seq
11. Iterable
12. Traversable
13. Immutable
14. AbstractSeq
15. Seq
16. SeqLike
17. GenSeq
18. GenSeqLike
19. PartialFunction
20. Function1
21. AbstractIterable
22. Iterable
23. IterableLike
24. Equals
25. GenIterable
26. GenIterableLike
27. AbstractTraversable
28. Traversable
29. GenTraversable
30. GenericTraversableTemplate
31. TraversableLike
32. GenTraversableLike
33. Parallelizable
34. TraversableOnce
35. GenTraversableOnce
36. FilterMonadic
37. HasNewBuilder
38. AnyRef
39. Any

Implicitly

1. by seqToNodeSeq
2. by traversable2ops
3. by MonadOps
4. by flattenTraversableOnce
5. by any2stringadd
6. by any2stringfmt
7. by any2ArrowAssoc
8. by any2Ensuring
9. by alternateImplicit

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new Text(data: String)

   data

     the text contained in this node, may not be null.

### Type Members

1. #### type Self = NodeSeq

   The type implementing this traversable

   The type implementing this traversable

   Attributes
     protected[this]
   Definition Classes
     TraversableLike

2. #### class WithFilter extends FilterMonadic[A, Repr]

   A class supporting filtered operations.

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from Text to StringAdd performed by method any2stringadd in scala.Predef.
   Definition Classes
     StringAdd

5. #### def ++[B](that: GenTraversableOnce[B]): immutable.Seq[B]

   [use case] Returns a new immutable sequence containing the elements from the left hand operand followed by the elements from the right hand operand.

   [use case]

   Returns a new immutable sequence containing the elements from the left hand operand followed by the elements from the right hand operand. The element type of the immutable sequence is the most specific superclass encompassing the element types of the two operands.

   Example:

       scala> val a = LinkedList(1)
       a: scala.collection.mutable.LinkedList[Int] = LinkedList(1)

       scala> val b = LinkedList(2)
       b: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

       scala> val c = a ++ b
       c: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

       scala> val d = LinkedList('a')
       d: scala.collection.mutable.LinkedList[Char] = LinkedList(a)

       scala> val e = c ++ d
       e: scala.collection.mutable.LinkedList[AnyVal] = LinkedList(1, 2, a)

   B

     the element type of the returned collection.

   that

     the traversable to append.

   returns

     a new immutable sequence which contains all elements of this immutable sequence followed by all elements of `that`.

   Definition Classes
     TraversableLike → GenTraversableLike
   Full Signature

   #### def ++[B >: Node, That](that: GenTraversableOnce[B])(implicit bf: CanBuildFrom[NodeSeq, B, That]): That

6. #### def ++:[B >: Node, That](that: collection.Traversable[B])(implicit bf: CanBuildFrom[NodeSeq, B, That]): That

   As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

   As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

   It differs from `++` in that the right operand determines the type of the resulting collection rather than the left one. Mnemonic: the COLon is on the side of the new COLlection type.

   Example:

       scala> val x = List(1)
       x: List[Int] = List(1)

       scala> val y = LinkedList(2)
       y: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

       scala> val z = x ++: y
       z: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

   This overload exists because: for the implementation of `++:` we should reuse that of `++` because many collections override it with more efficient versions.

   Since `TraversableOnce` has no `++` method, we have to implement that directly, but `Traversable` and down can use the overload.

   B

     the element type of the returned collection.

   That

     the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

   that

     the traversable to append.

   bf

     an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

   returns

     a new collection of type `That` which contains all elements of this immutable sequence followed by all elements of `that`.

   Definition Classes
     TraversableLike

7. #### def ++:[B](that: collection.TraversableOnce[B]): immutable.Seq[B]

   [use case] As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

   [use case]

   As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

   It differs from `++` in that the right operand determines the type of the resulting collection rather than the left one. Mnemonic: the COLon is on the side of the new COLlection type.

   Example:

       scala> val x = List(1)
       x: List[Int] = List(1)

       scala> val y = LinkedList(2)
       y: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

       scala> val z = x ++: y
       z: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

   B

     the element type of the returned collection.

   that

     the traversable to append.

   returns

     a new immutable sequence which contains all elements of this immutable sequence followed by all elements of `that`.

   Definition Classes
     TraversableLike
   Full Signature

   #### def ++:[B >: Node, That](that: collection.TraversableOnce[B])(implicit bf: CanBuildFrom[NodeSeq, B, That]): That

8. #### def +:(elem: A): immutable.Seq[A]

   [use case] A copy of the immutable sequence with an element prepended.

   [use case]

   A copy of the immutable sequence with an element prepended.

   Note that :-ending operators are right associative (see example). A mnemonic for `+:` vs. `:+` is: the COLon goes on the COLlection side.

   Also, the original immutable sequence is not modified, so you will want to capture the result.

   Example:

       scala> val x = LinkedList(1)
       x: scala.collection.mutable.LinkedList[Int] = LinkedList(1)

       scala> val y = 2 +: x
       y: scala.collection.mutable.LinkedList[Int] = LinkedList(2, 1)

       scala> println(x)
       LinkedList(1)

   elem

     the prepended element

   returns

     a new immutable sequence consisting of `elem` followed by all elements of this immutable sequence.

   Definition Classes
     SeqLike → GenSeqLike
   Full Signature

   #### def +:[B >: Node, That](elem: B)(implicit bf: CanBuildFrom[NodeSeq, B, That]): That

9. #### def ->[B](y: B): (Text, B)

   Implicit information
     This member is added by an implicit conversion from Text to ArrowAssoc[Text] performed by method any2ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline ()

10. #### def /:[B](z: B)(op: (B, Node) ⇒ B): B

    Applies a binary operator to a start value and all elements of this immutable sequence, going left to right.

    Applies a binary operator to a start value and all elements of this immutable sequence, going left to right.

    Note: `/:` is alternate syntax for `foldLeft`; `z /: xs` is the same as `xs foldLeft z`.

    Examples:

    Note that the folding function used to compute b is equivalent to that used to compute c.

        scala> val a = LinkedList(1,2,3,4)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

        scala> val b = (5 /: a)(_+_)
        b: Int = 15

        scala> val c = (5 /: a)((x,y) => x + y)
        c: Int = 15

    Note: will not terminate for infinite-sized collections.

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this immutable sequence, going left to right with the start value `z` on the left:

          op(...op(op(z, x_1), x_2), ..., x_n)

      where `x1, ..., xn` are the elements of this immutable sequence.

    Definition Classes
      TraversableOnce → GenTraversableOnce

11. #### def :+(elem: A): immutable.Seq[A]

    [use case] A copy of this immutable sequence with an element appended.

    [use case]

    A copy of this immutable sequence with an element appended.

    A mnemonic for `+:` vs. `:+` is: the COLon goes on the COLlection side.

    Note: will not terminate for infinite-sized collections.

    Example:

        scala> import scala.collection.mutable.LinkedList
        import scala.collection.mutable.LinkedList

        scala> val a = LinkedList(1)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1)

        scala> val b = a :+ 2
        b: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

        scala> println(a)
        LinkedList(1)

    elem

      the appended element

    returns

      a new immutable sequence consisting of all elements of this immutable sequence followed by `elem`.

    Definition Classes
      SeqLike → GenSeqLike
    Full Signature

    #### def :+[B >: Node, That](elem: B)(implicit bf: CanBuildFrom[NodeSeq, B, That]): That

12. #### def :\[B](z: B)(op: (Node, B) ⇒ B): B

    Applies a binary operator to all elements of this immutable sequence and a start value, going right to left.

    Applies a binary operator to all elements of this immutable sequence and a start value, going right to left.

    Note: `:\` is alternate syntax for `foldRight`; `xs :\ z` is the same as `xs foldRight z`.

    Note: will not terminate for infinite-sized collections.

    Examples:

    Note that the folding function used to compute b is equivalent to that used to compute c.

        scala> val a = LinkedList(1,2,3,4)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

        scala> val b = (a :\ 5)(_+_)
        b: Int = 15

        scala> val c = (a :\ 5)((x,y) => x + y)
        c: Int = 15

    B

      the result type of the binary operator.

    z

      the start value

    op

      the binary operator

    returns

      the result of inserting `op` between consecutive elements of this immutable sequence, going right to left with the start value `z` on the right:

          op(x_1, op(x_2, ... op(x_n, z)...))

      where `x1, ..., xn` are the elements of this immutable sequence.

    Definition Classes
      TraversableOnce → GenTraversableOnce

13. #### final def ==(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### final def ==(arg0: Any): Boolean

    Test two objects for equality.

    Test two objects for equality. The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      Any

15. #### def \(that: String): NodeSeq

    Projection function, which returns elements of `this` sequence based on the string `that`.

    Projection function, which returns elements of `this` sequence based on the string `that`. Use:

    - `this \ "foo"` to get a list of all elements that are labelled with `"foo"`;
    - `\ "_"` to get a list of all elements (wildcard);
    - `ns \ "@foo"` to get the unprefixed attribute `"foo"`;
    - `ns \ "@{uri}foo"` to get the prefixed attribute `"pre:foo"` whose prefix `"pre"` is resolved to the namespace `"uri"`.

    For attribute projections, the resulting scala.xml.NodeSeq attribute values are wrapped in a scala.xml.Group.

    There is no support for searching a prefixed attribute by its literal prefix.

    The document order is preserved.

    Definition Classes
      NodeSeq

16. #### def \\(that: String): NodeSeq

    Projection function, which returns elements of `this` sequence and of all its subsequences, based on the string `that`.

    Projection function, which returns elements of `this` sequence and of all its subsequences, based on the string `that`. Use:

    - `this \\ 'foo` to get a list of all elements that are labelled with `"foo"`;
    - `\\ "_"` to get a list of all elements (wildcard);
    - `ns \\ "@foo"` to get the unprefixed attribute `"foo"`;
    - `ns \\ "@{uri}foo"` to get each prefixed attribute `"pre:foo"` whose prefix `"pre"` is resolved to the namespace `"uri"`.

    For attribute projections, the resulting scala.xml.NodeSeq attribute values are wrapped in a scala.xml.Group.

    There is no support for searching a prefixed attribute by its literal prefix.

    The document order is preserved.

    Definition Classes
      NodeSeq

17. #### def addString(b: StringBuilder): StringBuilder

    Appends all elements of this immutable sequence to a string builder.

    Appends all elements of this immutable sequence to a string builder. The written text consists of the string representations (w.r.t. the method `toString`) of all elements of this immutable sequence without any separator string.

    Example:

        scala> val a = LinkedList(1,2,3,4)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

        scala> val b = new StringBuilder()
        b: StringBuilder =

        scala> val h = a.addString(b)
        b: StringBuilder = 1234

    b

      the string builder to which elements are appended.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      TraversableOnce

18. #### def addString(b: StringBuilder, sep: String): StringBuilder

    Appends all elements of this immutable sequence to a string builder using a separator string.

    Appends all elements of this immutable sequence to a string builder using a separator string. The written text consists of the string representations (w.r.t. the method `toString`) of all elements of this immutable sequence, separated by the string `sep`.

    Example:

        scala> val a = LinkedList(1,2,3,4)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

        scala> val b = new StringBuilder()
        b: StringBuilder =

        scala> a.addString(b, ", ")
        res0: StringBuilder = 1, 2, 3, 4

    b

      the string builder to which elements are appended.

    sep

      the separator string.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      TraversableOnce

19. #### def addString(b: StringBuilder, start: String, sep: String, end: String): StringBuilder

    Appends all elements of this immutable sequence to a string builder using start, end, and separator strings.

    Appends all elements of this immutable sequence to a string builder using start, end, and separator strings. The written text begins with the string `start` and ends with the string `end`. Inside, the string representations (w.r.t. the method `toString`) of all elements of this immutable sequence are separated by the string `sep`.

    Example:

        scala> val a = LinkedList(1,2,3,4)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

        scala> val b = new StringBuilder()
        b: StringBuilder =

        scala> a.addString(b, "LinkedList(", ", ", ")")
        res1: StringBuilder = LinkedList(1, 2, 3, 4)

    b

      the string builder to which elements are appended.

    start

      the starting string.

    sep

      the separator string.

    end

      the ending string.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      TraversableOnce

20. #### def aggregate[B](z: B)(seqop: (B, Node) ⇒ B, combop: (B, B) ⇒ B): B

    Aggregates the results of applying an operator to subsequent elements.

    Aggregates the results of applying an operator to subsequent elements.

    This is a more general form of `fold` and `reduce`. It has similar semantics, but does not require the result to be a supertype of the element type. It traverses the elements in different partitions sequentially, using `seqop` to update the result, and then applies `combop` to results from different partitions. The implementation of this operation may operate on an arbitrary number of collection partitions, so `combop` may be invoked an arbitrary number of times.

    For example, one might want to process some elements and then produce a `Set`. In this case, `seqop` would process an element and append it to the list, while `combop` would concatenate two lists from different partitions together. The initial value `z` would be an empty set.

        pc.aggregate(Set[Int]())(_ += process(_), _ ++ _)

    Another example is calculating geometric mean from a collection of doubles (one would typically require big doubles for this).

    B

      the type of accumulated results

    z

      the initial value for the accumulated result of the partition - this will typically be the neutral element for the `seqop` operator (e.g. `Nil` for list concatenation or `0` for summation)

    seqop

      an operator used to accumulate results within a partition

    combop

      an associative operator used to combine results from different partitions

    Definition Classes
      TraversableOnce → GenTraversableOnce

21. #### def andThen[C](k: (Node) ⇒ C): PartialFunction[Int, C]

    Composes this partial function with a transformation function that gets applied to results of this partial function.

    Composes this partial function with a transformation function that gets applied to results of this partial function.

    C

      the result type of the transformation function.

    k

      the transformation function

    returns

      a partial function with the same domain as this partial function, which maps arguments `x` to `k(this(x))`.

    Definition Classes
      PartialFunction → Function1

22. #### def apply(f: (Node) ⇒ Boolean): NodeSeq

    Definition Classes
      NodeSeq

23. #### def apply(i: Int): Node

    Selects an element by its index in the immutable sequence.

    Selects an element by its index in the immutable sequence.

    Example:

        scala> val x = LinkedList(1, 2, 3, 4, 5)
        x: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4, 5)

        scala> x(3)
        res1: Int = 4

    returns

      the element of this immutable sequence at index `idx`, where `0` indicates the first element.

    Definition Classes
      NodeSeq → SeqLike → GenSeqLike → Function1
    Exceptions thrown
      `IndexOutOfBoundsException`

      if `idx` does not satisfy `0 <= idx < length`.

24. #### def applyOrElse[A1 <: Int, B1 >: Node](x: A1, default: (A1) ⇒ B1): B1

    Applies this partial function to the given argument when it is contained in the function domain.

    Applies this partial function to the given argument when it is contained in the function domain. Applies fallback function where this partial function is not defined.

    Note that expression `pf.applyOrElse(x, default)` is equivalent to

        if(pf isDefinedAt x) pf(x) else default(x)

    except that `applyOrElse` method can be implemented more efficiently. For all partial function literals compiler generates `applyOrElse` implementation which avoids double evaluation of pattern matchers and guards. This makes `applyOrElse` the basis for the efficient implementation for many operations and scenarios, such as:

    - combining partial functions into `orElse`/`andThen` chains does not lead to excessive `apply`/`isDefinedAt` evaluation
    - `lift` and `unlift` do not evaluate source functions twice on each invocation
    - `runWith` allows efficient imperative-style combining of partial functions with conditionally applied actions

    For non-literal partial function classes with nontrivial `isDefinedAt` method it is recommended to override `applyOrElse` with custom implementation that avoids double `isDefinedAt` evaluation. This may result in better performance and more predictable behavior w.r.t. side effects.

    x

      the function argument

    default

      the fallback function

    returns

      the result of this function or fallback function application.

    Definition Classes
      PartialFunction
    Since

      2.10

25. #### final def asInstanceOf[T0]: T0

    Cast the receiver object to be of type `T0`.

    Cast the receiver object to be of type `T0`.

    Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

    returns

      the receiver object.

    Definition Classes
      Any
    Exceptions thrown
      ClassCastException

      if the receiver object is not an instance of the erasure of type `T0`.

26. #### def asParIterable: ParIterable[Node]

    Implicit information
      This member is added by an implicit conversion from Text to TraversableOps[Node] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

27. #### def asParSeq: ParSeq[Node]

    Implicit information
      This member is added by an implicit conversion from Text to TraversableOps[Node] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

28. #### final def attribute(uri: String, key: String): Option[Seq[Node]]

    Convenience method, looks up a prefixed attribute in attributes of this node.

    Convenience method, looks up a prefixed attribute in attributes of this node. Same as `attributes.getValue(uri, this, key)`-

    uri

      namespace of queried attribute (may not be null).

    key

      of queried attribute.

    returns

      value of `PrefixedAttribute` with given namespace and given key, otherwise `null`.

    Definition Classes
      Node

29. #### final def attribute(key: String): Option[Seq[Node]]

    Convenience method, looks up an unprefixed attribute in attributes of this node.

    Convenience method, looks up an unprefixed attribute in attributes of this node. Same as `attributes.getValue(key)`

    key

      of queried attribute.

    returns

      value of `UnprefixedAttribute` with given key in attributes, if it exists, otherwise `null`.

    Definition Classes
      Node

30. #### final def attributes: Null.type

    always empty

    always empty

    returns

      all attributes of this node

    Definition Classes
      SpecialNode → Node

31. #### def basisForHashCode: Seq[Any]

    Attributes
      protected
    Definition Classes
      Atom → Node → NodeSeq → Equality

32. #### def buildString(sb: StringBuilder): StringBuilder

    Returns text, with some characters escaped according to the XML specification.

    Returns text, with some characters escaped according to the XML specification.

    Definition Classes
      Text → Atom → SpecialNode

33. #### def buildString(stripComments: Boolean): String

    String representation of this node

    String representation of this node

    stripComments

      if true, strips comment nodes from result

    Definition Classes
      Node

34. #### def canEqual(other: Any): Boolean

    We insist we're only equal to other `xml.Equality` implementors, which heads off a lot of inconsistency up front.

    We insist we're only equal to other `xml.Equality` implementors, which heads off a lot of inconsistency up front.

    returns

      true if this instance can possibly equal `that`, otherwise false

    Definition Classes
      Atom → Node → NodeSeq → Equality → IterableLike → Equals

35. #### final def child: collection.immutable.Nil.type

    always empty

    always empty

    returns

      all children of this node

    Definition Classes
      SpecialNode → Node

36. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws ( ... )
    Note

      not specified by SLS as a member of AnyRef

37. #### def collect[B](pf: PartialFunction[A, B]): immutable.Seq[B]

    [use case] Builds a new collection by applying a partial function to all elements of this immutable sequence on which the function is defined.

    [use case]

    Builds a new collection by applying a partial function to all elements of this immutable sequence on which the function is defined.

    B

      the element type of the returned collection.

    pf

      the partial function which filters and maps the immutable sequence.

    returns

      a new immutable sequence resulting from applying the given partial function `pf` to each element on which it is defined and collecting the results. The order of the elements is preserved.

    Definition Classes
      TraversableLike → GenTraversableLike
    Full Signature

    #### def collect[B, That](pf: PartialFunction[Node, B])(implicit bf: CanBuildFrom[NodeSeq, B, That]): That

38. #### def collectFirst[B](pf: PartialFunction[Node, B]): Option[B]

    Finds the first element of the immutable sequence for which the given partial function is defined, and applies the partial function to it.

    Finds the first element of the immutable sequence for which the given partial function is defined, and applies the partial function to it.

    Note: may not terminate for infinite-sized collections.

    pf

      the partial function

    returns

      an option value containing pf applied to the first value for which it is defined, or `None` if none exists.

    Definition Classes
      TraversableOnce
    Example:

    1. `Seq("a", 1, 5L).collectFirst({ case x: Int => x*10 }) = Some(10)`

39. #### def combinations(n: Int): collection.Iterator[NodeSeq]

    Iterates over combinations.

    Iterates over combinations.

    returns

      An Iterator which traverses the possible n-element combinations of this immutable sequence.

    Definition Classes
      SeqLike
    Example:

    1. `"abbbc".combinations(2) = Iterator(ab, ac, bb, bc)`

40. #### def companion: GenericCompanion[collection.immutable.Seq]

    The factory companion object that builds instances of class `immutable.Seq`.

    The factory companion object that builds instances of class `immutable.Seq`. (or its `Iterable` superclass where class `immutable.Seq` is not a `Seq`.)

    Definition Classes
      Seq → Seq → GenSeq → Iterable → Iterable → GenIterable → Traversable → Traversable → GenTraversable → GenericTraversableTemplate

41. #### def compose[A](g: (A) ⇒ Int): (A) ⇒ Node

    Composes two instances of Function1 in a new Function1, with this function applied last.

    Composes two instances of Function1 in a new Function1, with this function applied last.

    A

      the type to which function `g` can be applied

    g

      a function A => T1

    returns

      a new function `f` such that `f(x) == apply(g(x))`

    Definition Classes
      Function1
    Annotations
      @unspecialized ()

42. #### def contains(elem: Any): Boolean

    Tests whether this immutable sequence contains a given value as an element.

    Tests whether this immutable sequence contains a given value as an element.

    Note: may not terminate for infinite-sized collections.

    elem

      the element to test.

    returns

      `true` if this immutable sequence has an element that is equal (as determined by `==`) to `elem`, `false` otherwise.

    Definition Classes
      SeqLike

43. #### def containsSlice[B](that: GenSeq[B]): Boolean

    Tests whether this immutable sequence contains a given sequence as a slice.

    Tests whether this immutable sequence contains a given sequence as a slice.

    Note: may not terminate for infinite-sized collections.

    that

      the sequence to test

    returns

      `true` if this immutable sequence contains a slice with the same elements as `that`, otherwise `false`.

    Definition Classes
      SeqLike

44. #### def copyToArray(xs: Array[A], start: Int, len: Int): Unit

    [use case] Copies elements of this immutable sequence to an array.

    [use case]

    Copies elements of this immutable sequence to an array. Fills the given array `xs` with at most `len` elements of this immutable sequence, starting at position `start`. Copying will stop once either the end of the current immutable sequence is reached, or the end of the array is reached, or `len` elements have been copied.

    Note: will not terminate for infinite-sized collections.

    xs

      the array to fill.

    start

      the starting index.

    len

      the maximal number of elements to copy.

    Definition Classes
      IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce
    Full Signature

    #### def copyToArray[B >: Node](xs: Array[B], start: Int, len: Int): Unit

45. #### def copyToArray(xs: Array[A]): Unit

    [use case] Copies values of this immutable sequence to an array.

    [use case]

    Copies values of this immutable sequence to an array. Fills the given array `xs` with values of this immutable sequence. Copying will stop once either the end of the current immutable sequence is reached, or the end of the array is reached.

    Note: will not terminate for infinite-sized collections.

    xs

      the array to fill.

    Definition Classes
      TraversableOnce → GenTraversableOnce
    Full Signature

    #### def copyToArray[B >: Node](xs: Array[B]): Unit

46. #### def copyToArray(xs: Array[A], start: Int): Unit

    [use case] Copies values of this immutable sequence to an array.

    [use case]

    Copies values of this immutable sequence to an array. Fills the given array `xs` with values of this immutable sequence, beginning at index `start`. Copying will stop once either the end of the current immutable sequence is reached, or the end of the array is reached.

    Note: will not terminate for infinite-sized collections.

    xs

      the array to fill.

    start

      the starting index.

    Definition Classes
      TraversableOnce → GenTraversableOnce
    Full Signature

    #### def copyToArray[B >: Node](xs: Array[B], start: Int): Unit

47. #### def copyToBuffer[B >: Node](dest: Buffer[B]): Unit

    Copies all elements of this immutable sequence to a buffer.

    Copies all elements of this immutable sequence to a buffer.

    Note: will not terminate for infinite-sized collections.

    dest

      The buffer to which elements are copied.

    Definition Classes
      TraversableOnce

48. #### def corresponds[B](that: GenSeq[B])(p: (Node, B) ⇒ Boolean): Boolean

    Tests whether every element of this immutable sequence relates to the corresponding element of another sequence by satisfying a test predicate.

    Tests whether every element of this immutable sequence relates to the corresponding element of another sequence by satisfying a test predicate.

    B

      the type of the elements of `that`

    that

      the other sequence

    p

      the test predicate, which relates elements from both sequences

    returns

      `true` if both sequences have the same length and `p(x, y)` is `true` for all corresponding elements `x` of this immutable sequence and `y` of `that`, otherwise `false`.

    Definition Classes
      SeqLike → GenSeqLike

49. #### def count(p: (Node) ⇒ Boolean): Int

    Counts the number of elements in the immutable sequence which satisfy a predicate.

    Counts the number of elements in the immutable sequence which satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      the number of elements satisfying the predicate `p`.

    Definition Classes
      TraversableOnce → GenTraversableOnce

50. #### def descendant: List[Node]

    Descendant axis (all descendants of this node, not including node itself) includes all text nodes, element nodes, comments and processing instructions.

    Descendant axis (all descendants of this node, not including node itself) includes all text nodes, element nodes, comments and processing instructions.

    Definition Classes
      Node

51. #### def descendant_or_self: List[Node]

    Descendant axis (all descendants of this node, including thisa node) includes all text nodes, element nodes, comments and processing instructions.

    Descendant axis (all descendants of this node, including thisa node) includes all text nodes, element nodes, comments and processing instructions.

    Definition Classes
      Node

52. #### def diff(that: collection.Seq[Node]): immutable.Seq[Node]

    [use case] Computes the multiset difference between this immutable sequence and another sequence.

    [use case]

    Computes the multiset difference between this immutable sequence and another sequence.

    Note: will not terminate for infinite-sized collections.

    that

      the sequence of elements to remove

    returns

      a new immutable sequence which contains all elements of this immutable sequence except some of occurrences of elements that also appear in `that`. If an element value `x` appears n times in `that`, then the first n occurrences of `x` will not form part of the result, but any following occurrences will.

    Definition Classes
      SeqLike → GenSeqLike
    Full Signature

    #### def diff[B >: Node](that: GenSeq[B]): NodeSeq

53. #### def distinct: NodeSeq

    Builds a new immutable sequence from this immutable sequence without any duplicate elements.

    Builds a new immutable sequence from this immutable sequence without any duplicate elements.

    Note: will not terminate for infinite-sized collections.

    returns

      A new immutable sequence which contains the first occurrence of every element of this immutable sequence.

    Definition Classes
      SeqLike → GenSeqLike

54. #### final def doCollectNamespaces: Boolean

    The logic formerly found in typeTag$, as best I could infer it.

    The logic formerly found in typeTag$, as best I could infer it.

    Definition Classes
      Atom → Node

55. #### final def doTransform: Boolean

    Definition Classes
      Atom → Node

56. #### def drop(n: Int): NodeSeq

    Selects all elements except first n ones.

    Selects all elements except first n ones.

    n

      the number of elements to drop from this immutable sequence.

    returns

      a immutable sequence consisting of all elements of this immutable sequence except the first `n` ones, or else the empty immutable sequence, if this immutable sequence has less than `n` elements.

    Definition Classes
      IterableLike → TraversableLike → GenTraversableLike

57. #### def dropRight(n: Int): NodeSeq

    Selects all elements except last n ones.

    Selects all elements except last n ones.

    n

      The number of elements to take

    returns

      a immutable sequence consisting of all elements of this immutable sequence except the last `n` ones, or else the empty immutable sequence, if this immutable sequence has less than `n` elements.

    Definition Classes
      IterableLike

58. #### def dropWhile(p: (Node) ⇒ Boolean): NodeSeq

    Drops longest prefix of elements that satisfy a predicate.

    Drops longest prefix of elements that satisfy a predicate.

    returns

      the longest suffix of this immutable sequence whose first element does not satisfy the predicate `p`.

    Definition Classes
      TraversableLike → GenTraversableLike

59. #### def endsWith[B](that: GenSeq[B]): Boolean

    Tests whether this immutable sequence ends with the given sequence.

    Tests whether this immutable sequence ends with the given sequence.

    Note: will not terminate for infinite-sized collections.

    that

      the sequence to test

    returns

      `true` if this immutable sequence has `that` as a suffix, `false` otherwise.

    Definition Classes
      SeqLike → GenSeqLike

60. #### def ensuring(cond: (Text) ⇒ Boolean, msg: ⇒ Any): Text

    Implicit information
      This member is added by an implicit conversion from Text to Ensuring[Text] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

61. #### def ensuring(cond: (Text) ⇒ Boolean): Text

    Implicit information
      This member is added by an implicit conversion from Text to Ensuring[Text] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

62. #### def ensuring(cond: Boolean, msg: ⇒ Any): Text

    Implicit information
      This member is added by an implicit conversion from Text to Ensuring[Text] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

63. #### def ensuring(cond: Boolean): Text

    Implicit information
      This member is added by an implicit conversion from Text to Ensuring[Text] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

64. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

65. #### def equals(other: Any): Boolean

    The universal equality method defined in `AnyRef`.

    The universal equality method defined in `AnyRef`.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      Equality → Equals → AnyRef → Any

66. #### def exists(p: (Node) ⇒ Boolean): Boolean

    Tests whether a predicate holds for some of the elements of this immutable sequence.

    Tests whether a predicate holds for some of the elements of this immutable sequence.

    Note: may not terminate for infinite-sized collections.

    p

      the predicate used to test elements.

    returns

      `true` if the given predicate `p` holds for some of the elements of this immutable sequence, otherwise `false`.

    Definition Classes
      IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

67. #### def filter(p: (Node) ⇒ Boolean): NodeSeq

    Selects all elements of this immutable sequence which satisfy a predicate.

    Selects all elements of this immutable sequence which satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      a new immutable sequence consisting of all elements of this immutable sequence that satisfy the given predicate `p`. The order of the elements is preserved.

    Definition Classes
      TraversableLike → GenTraversableLike

68. #### def filterNot(p: (Node) ⇒ Boolean): NodeSeq

    Selects all elements of this immutable sequence which do not satisfy a predicate.

    Selects all elements of this immutable sequence which do not satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      a new immutable sequence consisting of all elements of this immutable sequence that do not satisfy the given predicate `p`. The order of the elements is preserved.

    Definition Classes
      TraversableLike → GenTraversableLike

69. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws ( classOf[java.lang.Throwable] )
    Note

      not specified by SLS as a member of AnyRef

70. #### def find(p: (Node) ⇒ Boolean): Option[Node]

    Finds the first element of the immutable sequence satisfying a predicate, if any.

    Finds the first element of the immutable sequence satisfying a predicate, if any.

    Note: may not terminate for infinite-sized collections.

    p

      the predicate used to test elements.

    returns

      an option value containing the first element in the immutable sequence that satisfies `p`, or `None` if none exists.

    Definition Classes
      IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

71. #### def flatMap[B](f: (A) ⇒ GenTraversableOnce[B]): immutable.Seq[B]

    [use case] Builds a new collection by applying a function to all elements of this immutable sequence and using the elements of the resulting collections.

    [use case]

    Builds a new collection by applying a function to all elements of this immutable sequence and using the elements of the resulting collections.

    For example:

        def getWords(lines: Seq[String]): Seq[String] = lines flatMap (line => line split "\\W+")

    The type of the resulting collection is guided by the static type of immutable sequence. This might cause unexpected results sometimes. For example:

        // lettersOf will return a Seq[Char] of likely repeated letters, instead of a Set
        def lettersOf(words: Seq[String]) = words flatMap (word => word.toSet)

        // lettersOf will return a Set[Char], not a Seq
        def lettersOf(words: Seq[String]) = words.toSet flatMap (word => word.toSeq)

        // xs will be a an Iterable[Int]
        val xs = Map("a" -> List(11,111), "b" -> List(22,222)).flatMap(_._2)

        // ys will be a Map[Int, Int]
        val ys = Map("a" -> List(1 -> 11,1 -> 111), "b" -> List(2 -> 22,2 -> 222)).flatMap(_._2)

    B

      the element type of the returned collection.

    f

      the function to apply to each element.

    returns

      a new immutable sequence resulting from applying the given collection-valued function `f` to each element of this immutable sequence and concatenating the results.

    Definition Classes
      TraversableLike → GenTraversableLike → FilterMonadic
    Full Signature

    #### def flatMap[B, That](f: (Node) ⇒ GenTraversableOnce[B])(implicit bf: CanBuildFrom[NodeSeq, B, That]): That

72. #### def flatten[B]: immutable.Seq[B]

    [use case] Converts this immutable sequence of traversable collections into a immutable sequence formed by the elements of these traversable collections.

    [use case]

    Converts this immutable sequence of traversable collections into a immutable sequence formed by the elements of these traversable collections.

    The resulting collection's type will be guided by the static type of immutable sequence. For example:

        val xs = List(Set(1, 2, 3), Set(1, 2, 3))
        // xs == List(1, 2, 3, 1, 2, 3)

        val ys = Set(List(1, 2, 3), List(3, 2, 1))
        // ys == Set(1, 2, 3)

    B

      the type of the elements of each traversable collection.

    returns

      a new immutable sequence resulting from concatenating all element immutable sequences.

    Definition Classes
      GenericTraversableTemplate
    Full Signature

    #### def flatten[B](implicit asTraversable: (Node) ⇒ GenTraversableOnce[B]): collection.immutable.Seq[B]

73. #### def fold[A1 >: Node](z: A1)(op: (A1, A1) ⇒ A1): A1

    Folds the elements of this immutable sequence using the specified associative binary operator.

    Folds the elements of this immutable sequence using the specified associative binary operator.

    The order in which operations are performed on elements is unspecified and may be nondeterministic.

    A1

      a type parameter for the binary operator, a supertype of `A`.

    z

      a neutral element for the fold operation; may be added to the result an arbitrary number of times, and must not change the result (e.g., `Nil` for list concatenation, 0 for addition, or 1 for multiplication.)

    op

      a binary operator that must be associative

    returns

      the result of applying fold operator `op` between all the elements and `z`

    Definition Classes
      TraversableOnce → GenTraversableOnce

74. #### def foldLeft[B](z: B)(op: (B, Node) ⇒ B): B

    Applies a binary operator to a start value and all elements of this immutable sequence, going left to right.

    Applies a binary operator to a start value and all elements of this immutable sequence, going left to right.

    Note: will not terminate for infinite-sized collections.

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this immutable sequence, going left to right with the start value `z` on the left:

          op(...op(z, x_1), x_2, ..., x_n)

      where `x1, ..., xn` are the elements of this immutable sequence.

    Definition Classes
      TraversableOnce → GenTraversableOnce

75. #### def foldRight[B](z: B)(op: (Node, B) ⇒ B): B

    Applies a binary operator to all elements of this immutable sequence and a start value, going right to left.

    Applies a binary operator to all elements of this immutable sequence and a start value, going right to left.

    Note: will not terminate for infinite-sized collections.

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this immutable sequence, going right to left with the start value `z` on the right:

          op(x_1, op(x_2, ... op(x_n, z)...))

      where `x1, ..., xn` are the elements of this immutable sequence.

    Definition Classes
      IterableLike → TraversableOnce → GenTraversableOnce

76. #### def forall(p: (Node) ⇒ Boolean): Boolean

    Tests whether a predicate holds for all elements of this immutable sequence.

    Tests whether a predicate holds for all elements of this immutable sequence.

    Note: may not terminate for infinite-sized collections.

    p

      the predicate used to test elements.

    returns

      `true` if the given predicate `p` holds for all elements of this immutable sequence, otherwise `false`.

    Definition Classes
      IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

77. #### def foreach(f: (Node) ⇒ Unit): Unit

    [use case] Applies a function `f` to all elements of this immutable sequence.

    [use case]

    Applies a function `f` to all elements of this immutable sequence.

    Note: this method underlies the implementation of most other bulk operations. Subclasses should re-implement this method if a more efficient implementation exists.

    f

      the function that is applied for its side-effect to every element. The result of function `f` is discarded.

    Definition Classes
      IterableLike → TraversableLike → GenTraversableLike → TraversableOnce → GenTraversableOnce → FilterMonadic
    Full Signature

    #### def foreach[U](f: (Node) ⇒ U): Unit

78. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from Text to StringFormat performed by method any2stringfmt in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline ()

79. #### def genericBuilder[B]: Builder[B, collection.immutable.Seq[B]]

    The generic builder that builds instances of `immutable.Seq` at arbitrary element types.

    The generic builder that builds instances of `immutable.Seq` at arbitrary element types.

    Definition Classes
      GenericTraversableTemplate

80. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

81. #### def getNamespace(pre: String): String

    Convenience method, same as `scope.getURI(pre)` but additionally checks if scope is `null`.

    Convenience method, same as `scope.getURI(pre)` but additionally checks if scope is `null`.

    pre

      the prefix whose namespace name we would like to obtain

    returns

      the namespace if `scope != null` and prefix was found, else `null`

    Definition Classes
      Node

82. #### def groupBy[K](f: (Node) ⇒ K): Map[K, NodeSeq]

    Partitions this immutable sequence into a map of immutable sequences according to some discriminator function.

    Partitions this immutable sequence into a map of immutable sequences according to some discriminator function.

    Note: this method is not re-implemented by views. This means when applied to a view it will always force the view and return a new immutable sequence.

    K

      the type of keys returned by the discriminator function.

    f

      the discriminator function.

    returns

      A map from keys to immutable sequences such that the following invariant holds:

          (xs partition f)(k) = xs filter (x => f(x) == k)

      That is, every key `k` is bound to a immutable sequence of those elements `x` for which `f(x)` equals `k`.

    Definition Classes
      TraversableLike → GenTraversableLike

83. #### def grouped(size: Int): collection.Iterator[NodeSeq]

    Partitions elements in fixed size immutable sequences.

    Partitions elements in fixed size immutable sequences.

    size

      the number of elements per group

    returns

      An iterator producing immutable sequences of size `size`, except the last will be truncated if the elements don't divide evenly.

    Definition Classes
      IterableLike
    See also

      scala.collection.Iterator, method `grouped`

84. #### def hasDefiniteSize: Boolean

    Tests whether this immutable sequence is known to have a finite size.

    Tests whether this immutable sequence is known to have a finite size. All strict collections are known to have finite size. For a non-strict collection such as `Stream`, the predicate returns `true` if all elements have been computed. It returns `false` if the stream is not yet evaluated to the end.

    Note: many collection methods will not work on collections of infinite sizes.

    returns

      `true` if this collection is known to have finite size, `false` otherwise.

    Definition Classes
      TraversableLike → TraversableOnce → GenTraversableOnce

85. #### def hashCode(): Int

    It's be nice to make these final, but there are probably people out there subclassing the XML types, especially when it comes to equals.

    It's be nice to make these final, but there are probably people out there subclassing the XML types, especially when it comes to equals. However WE at least can pretend they are final since clearly individual classes cannot be trusted to maintain a semblance of order.

    returns

      the hash code value for this object.

    Definition Classes
      Equality → AnyRef → Any

86. #### def head: Node

    Selects the first element of this immutable sequence.

    Selects the first element of this immutable sequence.

    returns

      the first element of this immutable sequence.

    Definition Classes
      IterableLike → TraversableLike → GenTraversableLike
    Exceptions thrown
      `NoSuchElementException`

      if the immutable sequence is empty.

87. #### def headOption: Option[Node]

    Optionally selects the first element.

    Optionally selects the first element.

    returns

      the first element of this immutable sequence if it is nonempty, `None` if it is empty.

    Definition Classes
      TraversableLike → GenTraversableLike

88. #### def ifParSeq[R](isbody: (ParSeq[Node]) ⇒ R): (TraversableOps[Node])#Otherwise[R]

    Implicit information
      This member is added by an implicit conversion from Text to TraversableOps[Node] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

89. #### def indexOf(elem: Node, from: Int): Int

    [use case] Finds index of first occurrence of some value in this immutable sequence after or at some start index.

    [use case]

    Finds index of first occurrence of some value in this immutable sequence after or at some start index.

    Note: may not terminate for infinite-sized collections.

    elem

      the element value to search for.

    from

      the start index

    returns

      the index `>= from` of the first element of this immutable sequence that is equal (as determined by `==`) to `elem`, or `-1`, if none exists.

    Definition Classes
      GenSeqLike
    Full Signature

    #### def indexOf[B >: Node](elem: B, from: Int): Int

90. #### def indexOf(elem: Node): Int

    [use case] Finds index of first occurrence of some value in this immutable sequence.

    [use case]

    Finds index of first occurrence of some value in this immutable sequence.

    Note: may not terminate for infinite-sized collections.

    elem

      the element value to search for.

    returns

      the index of the first element of this immutable sequence that is equal (as determined by `==`) to `elem`, or `-1`, if none exists.

    Definition Classes
      GenSeqLike
    Full Signature

    #### def indexOf[B >: Node](elem: B): Int

91. #### def indexOfSlice[B >: Node](that: GenSeq[B], from: Int): Int

    Finds first index after or at a start index where this immutable sequence contains a given sequence as a slice.

    Finds first index after or at a start index where this immutable sequence contains a given sequence as a slice.

    Note: may not terminate for infinite-sized collections.

    that

      the sequence to test

    from

      the start index

    returns

      the first index `>= from` such that the elements of this immutable sequence starting at this index match the elements of sequence `that`, or `-1` of no such subsequence exists.

    Definition Classes
      SeqLike

92. #### def indexOfSlice[B >: Node](that: GenSeq[B]): Int

    Finds first index where this immutable sequence contains a given sequence as a slice.

    Finds first index where this immutable sequence contains a given sequence as a slice.

    Note: may not terminate for infinite-sized collections.

    that

      the sequence to test

    returns

      the first index such that the elements of this immutable sequence starting at this index match the elements of sequence `that`, or `-1` of no such subsequence exists.

    Definition Classes
      SeqLike

93. #### def indexWhere(p: (Node) ⇒ Boolean, from: Int): Int

    Finds index of the first element satisfying some predicate after or at some start index.

    Finds index of the first element satisfying some predicate after or at some start index.

    Note: may not terminate for infinite-sized collections.

    p

      the predicate used to test elements.

    from

      the start index

    returns

      the index `>= from` of the first element of this immutable sequence that satisfies the predicate `p`, or `-1`, if none exists.

    Definition Classes
      SeqLike → GenSeqLike

94. #### def indexWhere(p: (Node) ⇒ Boolean): Int

    Finds index of first element satisfying some predicate.

    Finds index of first element satisfying some predicate.

    Note: may not terminate for infinite-sized collections.

    p

      the predicate used to test elements.

    returns

      the index of the first element of this immutable sequence that satisfies the predicate `p`, or `-1`, if none exists.

    Definition Classes
      GenSeqLike

95. #### def indices: collection.immutable.Range

    Produces the range of all indices of this sequence.

    Produces the range of all indices of this sequence.

    returns

      a `Range` value from `0` to one less than the length of this immutable sequence.

    Definition Classes
      SeqLike

96. #### def init: NodeSeq

    Selects all elements except the last.

    Selects all elements except the last.

    returns

      a immutable sequence consisting of all elements of this immutable sequence except the last one.

    Definition Classes
      TraversableLike → GenTraversableLike
    Exceptions thrown
      `UnsupportedOperationException`

      if the immutable sequence is empty.

97. #### def inits: collection.Iterator[NodeSeq]

    Iterates over the inits of this immutable sequence.

    Iterates over the inits of this immutable sequence. The first value will be this immutable sequence and the final one will be an empty immutable sequence, with the intervening values the results of successive applications of `init`.

    returns

      an iterator over all the inits of this immutable sequence

    Definition Classes
      TraversableLike
    Example:

    1. `List(1,2,3).inits = Iterator(List(1,2,3), List(1,2), List(1), Nil)`

98. #### def intersect(that: collection.Seq[Node]): immutable.Seq[Node]

    [use case] Computes the multiset intersection between this immutable sequence and another sequence.

    [use case]

    Computes the multiset intersection between this immutable sequence and another sequence.

    Note: may not terminate for infinite-sized collections.

    that

      the sequence of elements to intersect with.

    returns

      a new immutable sequence which contains all elements of this immutable sequence which also appear in `that`. If an element value `x` appears n times in `that`, then the first n occurrences of `x` will be retained in the result, but any following occurrences will be omitted.

    Definition Classes
      SeqLike → GenSeqLike
    Full Signature

    #### def intersect[B >: Node](that: GenSeq[B]): NodeSeq

99. #### def isAtom: Boolean

    used internally.

    used internally. Atom/Molecule = -1 PI = -2 Comment = -3 EntityRef = -5

    Definition Classes
      Node

100. #### def isDefinedAt(idx: Int): Boolean

     Tests whether this immutable sequence contains given index.

     Tests whether this immutable sequence contains given index.

     The implementations of methods `apply` and `isDefinedAt` turn a `Seq[A]` into a `PartialFunction[Int, A]`.

     idx

       the index to test

     returns

       `true` if this immutable sequence contains an element at position `idx`, `false` otherwise.

     Definition Classes
       GenSeqLike

101. #### def isEmpty: Boolean

     Tests whether this immutable sequence is empty.

     Tests whether this immutable sequence is empty.

     returns

       `true` if the immutable sequence contain no elements, `false` otherwise.

     Definition Classes
       SeqLike → IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

102. #### final def isInstanceOf[T0]: Boolean

     Test whether the dynamic type of the receiver object is `T0`.

     Test whether the dynamic type of the receiver object is `T0`.

     Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

     returns

       `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

     Definition Classes
       Any

103. #### def isParIterable: Boolean

     Implicit information
       This member is added by an implicit conversion from Text to TraversableOps[Node] performed by method traversable2ops in scala.collection.parallel.
     Definition Classes
       TraversableOps

104. #### def isParSeq: Boolean

     Implicit information
       This member is added by an implicit conversion from Text to TraversableOps[Node] performed by method traversable2ops in scala.collection.parallel.
     Definition Classes
       TraversableOps

105. #### def isParallel: Boolean

     Implicit information
       This member is added by an implicit conversion from Text to TraversableOps[Node] performed by method traversable2ops in scala.collection.parallel.
     Definition Classes
       TraversableOps

106. #### final def isTraversableAgain: Boolean

     Tests whether this immutable sequence can be repeatedly traversed.

     Tests whether this immutable sequence can be repeatedly traversed.

     returns

       `true`

     Definition Classes
       TraversableLike → GenTraversableLike → GenTraversableOnce

107. #### def iterator: collection.Iterator[Node]

     Creates a new iterator over all elements contained in this iterable object.

     Creates a new iterator over all elements contained in this iterable object.

     returns

       the new iterator

     Definition Classes
       NodeSeq → IterableLike → GenIterableLike

108. #### def label: String

     label of this node.

     label of this node. I.e. "foo" for <foo/>)

     Definition Classes
       Atom → Node

109. #### def last: Node

     Selects the last element.

     Selects the last element.

     returns

       The last element of this immutable sequence.

     Definition Classes
       TraversableLike → GenTraversableLike
     Exceptions thrown
       NoSuchElementException

       If the immutable sequence is empty.

110. #### def lastIndexOf(elem: Node, end: Int): Int

     [use case] Finds index of last occurrence of some value in this immutable sequence before or at a given end index.

     [use case]

     Finds index of last occurrence of some value in this immutable sequence before or at a given end index.

     elem

       the element value to search for.

     end

       the end index.

     returns

       the index `<= end` of the last element of this immutable sequence that is equal (as determined by `==`) to `elem`, or `-1`, if none exists.

     Definition Classes
       GenSeqLike
     Full Signature

     #### def lastIndexOf[B >: Node](elem: B, end: Int): Int

111. #### def lastIndexOf(elem: Node): Int

     [use case] Finds index of last occurrence of some value in this immutable sequence.

     [use case]

     Finds index of last occurrence of some value in this immutable sequence.

     Note: will not terminate for infinite-sized collections.

     elem

       the element value to search for.

     returns

       the index of the last element of this immutable sequence that is equal (as determined by `==`) to `elem`, or `-1`, if none exists.

     Definition Classes
       GenSeqLike
     Full Signature

     #### def lastIndexOf[B >: Node](elem: B): Int

112. #### def lastIndexOfSlice[B >: Node](that: GenSeq[B], end: Int): Int

     Finds last index before or at a given end index where this immutable sequence contains a given sequence as a slice.

     Finds last index before or at a given end index where this immutable sequence contains a given sequence as a slice.

     that

       the sequence to test

     end

       the end index

     returns

       the last index `<= end` such that the elements of this immutable sequence starting at this index match the elements of sequence `that`, or `-1` of no such subsequence exists.

     Definition Classes
       SeqLike

113. #### def lastIndexOfSlice[B >: Node](that: GenSeq[B]): Int

     Finds last index where this immutable sequence contains a given sequence as a slice.

     Finds last index where this immutable sequence contains a given sequence as a slice.

     Note: will not terminate for infinite-sized collections.

     that

       the sequence to test

     returns

       the last index such that the elements of this immutable sequence starting a this index match the elements of sequence `that`, or `-1` of no such subsequence exists.

     Definition Classes
       SeqLike

114. #### def lastIndexWhere(p: (Node) ⇒ Boolean, end: Int): Int

     Finds index of last element satisfying some predicate before or at given end index.

     Finds index of last element satisfying some predicate before or at given end index.

     p

       the predicate used to test elements.

     returns

       the index `<= end` of the last element of this immutable sequence that satisfies the predicate `p`, or `-1`, if none exists.

     Definition Classes
       SeqLike → GenSeqLike

115. #### def lastIndexWhere(p: (Node) ⇒ Boolean): Int

     Finds index of last element satisfying some predicate.

     Finds index of last element satisfying some predicate.

     Note: will not terminate for infinite-sized collections.

     p

       the predicate used to test elements.

     returns

       the index of the last element of this immutable sequence that satisfies the predicate `p`, or `-1`, if none exists.

     Definition Classes
       GenSeqLike

116. #### def lastOption: Option[Node]

     Optionally selects the last element.

     Optionally selects the last element.

     returns

       the last element of this immutable sequence$ if it is nonempty, `None` if it is empty.

     Definition Classes
       TraversableLike → GenTraversableLike

117. #### def length: Int

     The length of the immutable sequence.

     The length of the immutable sequence.

     Note: will not terminate for infinite-sized collections.

     Note: `xs.length` and `xs.size` yield the same result.

     returns

       the number of elements in this immutable sequence.

     Definition Classes
       NodeSeq → SeqLike → GenSeqLike

118. #### def lengthCompare(len: Int): Int

     Compares the length of this immutable sequence to a test value.

     Compares the length of this immutable sequence to a test value.

     len

       the test value that gets compared with the length.

     returns

       A value `x` where

           x <  0       if this.length <  len
           x == 0       if this.length == len
           x >  0       if this.length >  len

       The method as implemented here does not call `length` directly; its running time is `O(length min len)` instead of `O(length)`. The method should be overwritten if computing `length` is cheap.

     Definition Classes
       SeqLike

119. #### def lift: (Int) ⇒ Option[Node]

     Turns this partial function into a plain function returning an `Option` result.

     Turns this partial function into a plain function returning an `Option` result.

     returns

       a function that takes an argument `x` to `Some(this(x))` if `this` is defined for `x`, and to `None` otherwise.

     Definition Classes
       PartialFunction
     See also

       Function.unlift

120. #### def map[B](f: (A) ⇒ B): immutable.Seq[B]

     [use case] Builds a new collection by applying a function to all elements of this immutable sequence.

     [use case]

     Builds a new collection by applying a function to all elements of this immutable sequence.

     B

       the element type of the returned collection.

     f

       the function to apply to each element.

     returns

       a new immutable sequence resulting from applying the given function `f` to each element of this immutable sequence and collecting the results.

     Definition Classes
       TraversableLike → GenTraversableLike → FilterMonadic
     Full Signature

     #### def map[B, That](f: (Node) ⇒ B)(implicit bf: CanBuildFrom[NodeSeq, B, That]): That

121. #### def max: A

     [use case] Finds the largest element.

     [use case]

     Finds the largest element.

     returns

       the largest element of this immutable sequence.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def max[B >: Node](implicit cmp: Ordering[B]): Node

122. #### def maxBy[B](f: (Node) ⇒ B)(implicit cmp: Ordering[B]): Node

     Definition Classes
       TraversableOnce → GenTraversableOnce

123. #### def min: A

     [use case] Finds the smallest element.

     [use case]

     Finds the smallest element.

     returns

       the smallest element of this immutable sequence

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def min[B >: Node](implicit cmp: Ordering[B]): Node

124. #### def minBy[B](f: (Node) ⇒ B)(implicit cmp: Ordering[B]): Node

     Definition Classes
       TraversableOnce → GenTraversableOnce

125. #### def mkString: String

     Displays all elements of this immutable sequence in a string.

     Displays all elements of this immutable sequence in a string.

     returns

       a string representation of this immutable sequence. In the resulting string the string representations (w.r.t. the method `toString`) of all elements of this immutable sequence follow each other without any separator string.

     Definition Classes
       TraversableOnce → GenTraversableOnce

126. #### def mkString(sep: String): String

     Displays all elements of this immutable sequence in a string using a separator string.

     Displays all elements of this immutable sequence in a string using a separator string.

     sep

       the separator string.

     returns

       a string representation of this immutable sequence. In the resulting string the string representations (w.r.t. the method `toString`) of all elements of this immutable sequence are separated by the string `sep`.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Example:

     1. `List(1, 2, 3).mkString("|") = "1|2|3"`

127. #### def mkString(start: String, sep: String, end: String): String

     Displays all elements of this immutable sequence in a string using start, end, and separator strings.

     Displays all elements of this immutable sequence in a string using start, end, and separator strings.

     start

       the starting string.

     sep

       the separator string.

     end

       the ending string.

     returns

       a string representation of this immutable sequence. The resulting string begins with the string `start` and ends with the string `end`. Inside, the string representations (w.r.t. the method `toString`) of all elements of this immutable sequence are separated by the string `sep`.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Example:

     1. `List(1, 2, 3).mkString("(", "; ", ")") = "(1; 2; 3)"`

128. #### def nameToString(sb: StringBuilder): StringBuilder

     Appends qualified name of this node to `StringBuilder`.

     Appends qualified name of this node to `StringBuilder`.

     Definition Classes
       Node

129. #### final def namespace: scala.Null

     always Node.

     always Node.EmptyNamespace

     Definition Classes
       SpecialNode → Node

130. #### final def ne(arg0: AnyRef): Boolean

     Equivalent to `!(this eq that)`.

     Equivalent to `!(this eq that)`.

     returns

       `true` if the argument is not a reference to the receiver object; `false` otherwise.

     Definition Classes
       AnyRef

131. #### def newBuilder: Builder[Node, NodeSeq]

     Creates a list buffer as builder for this class

     Creates a list buffer as builder for this class

     Attributes
       protected[this]
     Definition Classes
       NodeSeq → GenericTraversableTemplate → TraversableLike → HasNewBuilder

132. #### def nonEmpty: Boolean

     Tests whether the immutable sequence is not empty.

     Tests whether the immutable sequence is not empty.

     returns

       `true` if the immutable sequence contains at least one element, `false` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

133. #### def nonEmptyChildren: Seq[Node]

     Children which do not stringify to "" (needed for equality)

     Children which do not stringify to "" (needed for equality)

     Definition Classes
       Node

134. #### final def notify(): Unit

     Wakes up a single thread that is waiting on the receiver object's monitor.

     Wakes up a single thread that is waiting on the receiver object's monitor.

     Definition Classes
       AnyRef
     Note

       not specified by SLS as a member of AnyRef

135. #### final def notifyAll(): Unit

     Wakes up all threads that are waiting on the receiver object's monitor.

     Wakes up all threads that are waiting on the receiver object's monitor.

     Definition Classes
       AnyRef
     Note

       not specified by SLS as a member of AnyRef

136. #### def orElse[A1 <: Int, B1 >: Node](that: PartialFunction[A1, B1]): PartialFunction[A1, B1]

     Composes this partial function with a fallback partial function which gets applied where this partial function is not defined.

     Composes this partial function with a fallback partial function which gets applied where this partial function is not defined.

     A1

       the argument type of the fallback function

     B1

       the result type of the fallback function

     that

       the fallback function

     returns

       a partial function which has as domain the union of the domains of this partial function and `that`. The resulting partial function takes `x` to `this(x)` where `this` is defined, and to `that(x)` where it is not.

     Definition Classes
       PartialFunction

137. #### def padTo(len: Int, elem: A): immutable.Seq[A]

     [use case] A copy of this immutable sequence with an element value appended until a given target length is reached.

     [use case]

     A copy of this immutable sequence with an element value appended until a given target length is reached.

     len

       the target length

     elem

       the padding value

     returns

       a new immutable sequence consisting of all elements of this immutable sequence followed by the minimal number of occurrences of `elem` so that the resulting immutable sequence has a length of at least `len`.

     Definition Classes
       SeqLike → GenSeqLike
     Full Signature

     #### def padTo[B >: Node, That](len: Int, elem: B)(implicit bf: CanBuildFrom[NodeSeq, B, That]): That

138. #### def par: ParSeq[Node]

     Returns a parallel implementation of this collection.

     Returns a parallel implementation of this collection.

     For most collection types, this method creates a new parallel collection by copying all the elements. For these collection, `par` takes linear time. Mutable collections in this category do not produce a mutable parallel collection that has the same underlying dataset, so changes in one collection will not be reflected in the other one.

     Specific collections (e.g. `ParArray` or `mutable.ParHashMap`) override this default behaviour by creating a parallel collection which shares the same underlying dataset. For these collections, `par` takes constant or sublinear time.

     All parallel collections return a reference to themselves.

     returns

       a parallel implementation of this collection

     Definition Classes
       Parallelizable

139. #### def parCombiner: Combiner[Node, ParSeq[Node]]

     The default `par` implementation uses the combiner provided by this method to create a new parallel collection.

     The default `par` implementation uses the combiner provided by this method to create a new parallel collection.

     returns

       a combiner for the parallel collection of type `ParRepr`

     Attributes
       protected[this]
     Definition Classes
       Seq → SeqLike → Iterable → TraversableLike → Parallelizable

140. #### def partition(p: (Node) ⇒ Boolean): (NodeSeq, NodeSeq)

     Partitions this immutable sequence in two immutable sequences according to a predicate.

     Partitions this immutable sequence in two immutable sequences according to a predicate.

     p

       the predicate on which to partition.

     returns

       a pair of immutable sequences: the first immutable sequence consists of all elements that satisfy the predicate `p` and the second immutable sequence consists of all elements that don't. The relative order of the elements in the resulting immutable sequences is the same as in the original immutable sequence.

     Definition Classes
       TraversableLike → GenTraversableLike

141. #### def patch(from: Int, that: GenSeq[A], replaced: Int): immutable.Seq[A]

     [use case] Produces a new immutable sequence where a slice of elements in this immutable sequence is replaced by another sequence.

     [use case]

     Produces a new immutable sequence where a slice of elements in this immutable sequence is replaced by another sequence.

     from

       the index of the first replaced element

     replaced

       the number of elements to drop in the original immutable sequence

     returns

       a new immutable sequence consisting of all elements of this immutable sequence except that `replaced` elements starting from `from` are replaced by `patch`.

     Definition Classes
       SeqLike → GenSeqLike
     Full Signature

     #### def patch[B >: Node, That](from: Int, patch: GenSeq[B], replaced: Int)(implicit bf: CanBuildFrom[NodeSeq, B, That]): That

142. #### def permutations: collection.Iterator[NodeSeq]

     Iterates over distinct permutations.

     Iterates over distinct permutations.

     returns

       An Iterator which traverses the distinct permutations of this immutable sequence.

     Definition Classes
       SeqLike
     Example:

     1. `"abb".permutations = Iterator(abb, bab, bba)`

143. #### def prefix: String

     prefix of this node

     prefix of this node

     Definition Classes
       Node

144. #### def prefixLength(p: (Node) ⇒ Boolean): Int

     Returns the length of the longest prefix whose elements all satisfy some predicate.

     Returns the length of the longest prefix whose elements all satisfy some predicate.

     Note: may not terminate for infinite-sized collections.

     p

       the predicate used to test elements.

     returns

       the length of the longest prefix of this immutable sequence such that every element of the segment satisfies the predicate `p`.

     Definition Classes
       GenSeqLike

145. #### def product: A

     [use case] Multiplies up the elements of this collection.

     [use case]

     Multiplies up the elements of this collection.

     returns

       the product of all elements in this immutable sequence of numbers of type `Int`. Instead of `Int`, any other type `T` with an implicit `Numeric[T]` implementation can be used as element type of the immutable sequence and as result type of `product`. Examples of such types are: `Long`, `Float`, `Double`, `BigInt`.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def product[B >: Node](implicit num: Numeric[B]): B

146. #### def reduce[A1 >: Node](op: (A1, A1) ⇒ A1): A1

     Reduces the elements of this immutable sequence using the specified associative binary operator.

     Reduces the elements of this immutable sequence using the specified associative binary operator.

     The order in which operations are performed on elements is unspecified and may be nondeterministic.

     A1

       A type parameter for the binary operator, a supertype of `A`.

     op

       A binary operator that must be associative.

     returns

       The result of applying reduce operator `op` between all the elements if the immutable sequence is nonempty.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Exceptions thrown
       UnsupportedOperationException

       if this immutable sequence is empty.

147. #### def reduceLeft[B >: Node](op: (B, Node) ⇒ B): B

     Applies a binary operator to all elements of this immutable sequence, going left to right.

     Applies a binary operator to all elements of this immutable sequence, going left to right.

     Note: will not terminate for infinite-sized collections.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       the result of inserting `op` between consecutive elements of this immutable sequence, going left to right:

           op( op( ... op(x_1, x_2) ..., x_{n-1}), x_n)

       where `x1, ..., xn` are the elements of this immutable sequence.

     Definition Classes
       TraversableOnce
     Exceptions thrown
       `UnsupportedOperationException`

       if this immutable sequence is empty.

148. #### def reduceLeftOption[B >: Node](op: (B, Node) ⇒ B): Option[B]

     Optionally applies a binary operator to all elements of this immutable sequence, going left to right.

     Optionally applies a binary operator to all elements of this immutable sequence, going left to right.

     Note: will not terminate for infinite-sized collections.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       an option value containing the result of `reduceLeft(op)` is this immutable sequence is nonempty, `None` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

149. #### def reduceOption[A1 >: Node](op: (A1, A1) ⇒ A1): Option[A1]

     Reduces the elements of this immutable sequence, if any, using the specified associative binary operator.

     Reduces the elements of this immutable sequence, if any, using the specified associative binary operator.

     The order in which operations are performed on elements is unspecified and may be nondeterministic.

     A1

       A type parameter for the binary operator, a supertype of `A`.

     op

       A binary operator that must be associative.

     returns

       An option value containing result of applying reduce operator `op` between all the elements if the collection is nonempty, and `None` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

150. #### def reduceRight[B >: Node](op: (Node, B) ⇒ B): B

     Applies a binary operator to all elements of this immutable sequence, going right to left.

     Applies a binary operator to all elements of this immutable sequence, going right to left.

     Note: will not terminate for infinite-sized collections.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       the result of inserting `op` between consecutive elements of this immutable sequence, going right to left:

           op(x_1, op(x_2, ..., op(x_{n-1}, x_n)...))

       where `x1, ..., xn` are the elements of this immutable sequence.

     Definition Classes
       IterableLike → TraversableOnce → GenTraversableOnce
     Exceptions thrown
       `UnsupportedOperationException`

       if this immutable sequence is empty.

151. #### def reduceRightOption[B >: Node](op: (Node, B) ⇒ B): Option[B]

     Optionally applies a binary operator to all elements of this immutable sequence, going right to left.

     Optionally applies a binary operator to all elements of this immutable sequence, going right to left.

     Note: will not terminate for infinite-sized collections.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       an option value containing the result of `reduceRight(op)` is this immutable sequence is nonempty, `None` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

152. #### def repr: NodeSeq

     The collection of type immutable sequence underlying this `TraversableLike` object.

     The collection of type immutable sequence underlying this `TraversableLike` object. By default this is implemented as the `TraversableLike` object itself, but this can be overridden.

     Definition Classes
       TraversableLike → GenTraversableLike

153. #### def reverse: NodeSeq

     Returns new immutable sequence wih elements in reversed order.

     Returns new immutable sequence wih elements in reversed order.

     Note: will not terminate for infinite-sized collections.

     returns

       A new immutable sequence with all elements of this immutable sequence in reversed order.

     Definition Classes
       SeqLike → GenSeqLike

154. #### def reverseIterator: collection.Iterator[Node]

     An iterator yielding elements in reversed order.

     An iterator yielding elements in reversed order.

     Note: will not terminate for infinite-sized collections.

     Note: `xs.reverseIterator` is the same as `xs.reverse.iterator` but might be more efficient.

     returns

       an iterator yielding the elements of this immutable sequence in reversed order

     Definition Classes
       SeqLike

155. #### def reverseMap[B](f: (A) ⇒ B): immutable.Seq[B]

     [use case] Builds a new collection by applying a function to all elements of this immutable sequence and collecting the results in reversed order.

     [use case]

     Builds a new collection by applying a function to all elements of this immutable sequence and collecting the results in reversed order.

     Note: will not terminate for infinite-sized collections.

     Note: `xs.reverseMap(f)` is the same as `xs.reverse.map(f)` but might be more efficient.

     B

       the element type of the returned collection.

     f

       the function to apply to each element.

     returns

       a new immutable sequence resulting from applying the given function `f` to each element of this immutable sequence and collecting the results in reversed order.

     Definition Classes
       SeqLike → GenSeqLike
     Full Signature

     #### def reverseMap[B, That](f: (Node) ⇒ B)(implicit bf: CanBuildFrom[NodeSeq, B, That]): That

156. #### def reversed: List[Node]

     Attributes
       protected[this]
     Definition Classes
       TraversableOnce

157. #### def runWith[U](action: (Node) ⇒ U): (Int) ⇒ Boolean

     Composes this partial function with an action function which gets applied to results of this partial function.

     Composes this partial function with an action function which gets applied to results of this partial function. The action function is invoked only for its side effects; its result is ignored.

     Note that expression `pf.runWith(action)(x)` is equivalent to

         if(pf isDefinedAt x) { action(pf(x)); true } else false

     except that `runWith` is implemented via `applyOrElse` and thus potentially more efficient. Using `runWith` avoids double evaluation of pattern matchers and guards for partial function literals.

     action

       the action function

     returns

       a function which maps arguments `x` to `isDefinedAt(x)`. The resulting function runs `action(this(x))` where `this` is defined.

     Definition Classes
       PartialFunction
     Since

       2.10

     See also

       `applyOrElse`.

158. #### def sameElements(that: GenIterable[A]): Boolean

     [use case] Checks if the other iterable collection contains the same elements in the same order as this immutable sequence.

     [use case]

     Checks if the other iterable collection contains the same elements in the same order as this immutable sequence.

     Note: will not terminate for infinite-sized collections.

     that

       the collection to compare with.

     returns

       `true`, if both collections contain the same elements in the same order, `false` otherwise.

     Definition Classes
       IterableLike → GenIterableLike
     Full Signature

     #### def sameElements[B >: Node](that: GenIterable[B]): Boolean

159. #### def scan[B >: Node, That](z: B)(op: (B, B) ⇒ B)(implicit cbf: CanBuildFrom[NodeSeq, B, That]): That

     Computes a prefix scan of the elements of the collection.

     Computes a prefix scan of the elements of the collection.

     Note: The neutral element `z` may be applied more than once.

     B

       element type of the resulting collection

     That

       type of the resulting collection

     z

       neutral element for the operator `op`

     op

       the associative operator for the scan

     cbf

       combiner factory which provides a combiner

     returns

       a new immutable sequence containing the prefix scan of the elements in this immutable sequence

     Definition Classes
       TraversableLike → GenTraversableLike

160. #### def scanLeft[B, That](z: B)(op: (B, Node) ⇒ B)(implicit bf: CanBuildFrom[NodeSeq, B, That]): That

     Produces a collection containing cumulative results of applying the operator going left to right.

     Produces a collection containing cumulative results of applying the operator going left to right.

     Note: will not terminate for infinite-sized collections.

     B

       the type of the elements in the resulting collection

     That

       the actual type of the resulting collection

     z

       the initial value

     op

       the binary operator applied to the intermediate result and the element

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

     returns

       collection with intermediate results

     Definition Classes
       TraversableLike → GenTraversableLike

161. #### def scanRight[B, That](z: B)(op: (Node, B) ⇒ B)(implicit bf: CanBuildFrom[NodeSeq, B, That]): That

     Produces a collection containing cumulative results of applying the operator going right to left.

     Produces a collection containing cumulative results of applying the operator going right to left. The head of the collection is the last cumulative result.

     Note: will not terminate for infinite-sized collections.

     Example:

         List(1, 2, 3, 4).scanRight(0)(_ + _) == List(10, 9, 7, 4, 0)

     B

       the type of the elements in the resulting collection

     That

       the actual type of the resulting collection

     z

       the initial value

     op

       the binary operator applied to the intermediate result and the element

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

     returns

       collection with intermediate results

     Definition Classes
       TraversableLike → GenTraversableLike
     Annotations
       @migration
     Migration

       (Changed in version 2.9.0) The behavior of `scanRight` has changed. The previous behavior can be reproduced with scanRight.reverse.

162. #### def scope: NamespaceBinding

     method returning the namespace bindings of this node.

     method returning the namespace bindings of this node. by default, this is TopScope, which means there are no namespace bindings except the predefined one for "xml".

     Definition Classes
       Node

163. #### def segmentLength(p: (Node) ⇒ Boolean, from: Int): Int

     Computes length of longest segment whose elements all satisfy some predicate.

     Computes length of longest segment whose elements all satisfy some predicate.

     Note: may not terminate for infinite-sized collections.

     p

       the predicate used to test elements.

     from

       the index where the search starts.

     returns

       the length of the longest segment of this immutable sequence starting from index `from` such that every element of the segment satisfies the predicate `p`.

     Definition Classes
       SeqLike → GenSeqLike

164. #### def seq: collection.immutable.Seq[Node]

     A version of this collection with all of the operations implemented sequentially (i.

     A version of this collection with all of the operations implemented sequentially (i.e. in a single-threaded manner).

     This method returns a reference to this collection. In parallel collections, it is redefined to return a sequential implementation of this collection. In both cases, it has O(1) complexity.

     returns

       a sequential view of the collection.

     Definition Classes
       Seq → Seq → GenSeq → GenSeqLike → Iterable → Iterable → GenIterable → Traversable → Traversable → GenTraversable → Parallelizable → TraversableOnce → GenTraversableOnce

165. #### def size: Int

     The size of this immutable sequence, equivalent to `length`.

     The size of this immutable sequence, equivalent to `length`.

     Note: will not terminate for infinite-sized collections.

     returns

       the number of elements in this immutable sequence.

     Definition Classes
       SeqLike → GenTraversableLike → TraversableOnce → GenTraversableOnce

166. #### def slice(from: Int, until: Int): NodeSeq

     Selects an interval of elements.

     Selects an interval of elements. The returned collection is made up of all elements `x` which satisfy the invariant:

         from <= indexOf(x) < until

     returns

       a immutable sequence containing the elements greater than or equal to index `from` extending up to (but not including) index `until` of this immutable sequence.

     Definition Classes
       IterableLike → TraversableLike → GenTraversableLike

167. #### def sliding(size: Int, step: Int): collection.Iterator[NodeSeq]

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.)

     size

       the number of elements per group

     step

       the distance between the first elements of successive groups (defaults to 1)

     returns

       An iterator producing immutable sequences of size `size`, except the last and the only element will be truncated if there are fewer elements than size.

     Definition Classes
       IterableLike
     See also

       scala.collection.Iterator, method `sliding`

168. #### def sliding(size: Int): collection.Iterator[NodeSeq]

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.)

     size

       the number of elements per group

     returns

       An iterator producing immutable sequences of size `size`, except the last and the only element will be truncated if there are fewer elements than size.

     Definition Classes
       IterableLike
     See also

       scala.collection.Iterator, method `sliding`

169. #### def sortBy[B](f: (Node) ⇒ B)(implicit ord: math.Ordering[B]): NodeSeq

     Sorts this `immutable.Seq` according to the Ordering which results from transforming an implicitly given Ordering with a transformation function.

     Sorts this `immutable.Seq` according to the Ordering which results from transforming an implicitly given Ordering with a transformation function.

     B

       the target type of the transformation `f`, and the type where the ordering `ord` is defined.

     f

       the transformation function mapping elements to some other domain `B`.

     ord

       the ordering assumed on domain `B`.

     returns

       a immutable sequence consisting of the elements of this immutable sequence sorted according to the ordering where `x < y` if `ord.lt(f(x), f(y))`.

     Definition Classes
       SeqLike
     Example:

     1.     val words = "The quick brown fox jumped over the lazy dog".split(' ')
            // this works because scala.Ordering will implicitly provide an Ordering[Tuple2[Int, Char]]
            words.sortBy(x => (x.length, x.head))
            res0: Array[String] = Array(The, dog, fox, the, lazy, over, brown, quick, jumped)

     See also

       scala.math.Ordering

       Note: will not terminate for infinite-sized collections.

170. #### def sortWith(lt: (Node, Node) ⇒ Boolean): NodeSeq

     Sorts this immutable sequence according to a comparison function.

     Sorts this immutable sequence according to a comparison function.

     Note: will not terminate for infinite-sized collections.

     The sort is stable. That is, elements that are equal (as determined by `lt`) appear in the same order in the sorted sequence as in the original.

     lt

       the comparison function which tests whether its first argument precedes its second argument in the desired ordering.

     returns

       a immutable sequence consisting of the elements of this immutable sequence sorted according to the comparison function `lt`.

     Definition Classes
       SeqLike
     Example:

     1.     List("Steve", "Tom", "John", "Bob").sortWith(_.compareTo(_) < 0) =
            List("Bob", "John", "Steve", "Tom")

171. #### def sorted[B >: Node](implicit ord: math.Ordering[B]): NodeSeq

     Sorts this immutable sequence according to an Ordering.

     Sorts this immutable sequence according to an Ordering.

     The sort is stable. That is, elements that are equal (as determined by `lt`) appear in the same order in the sorted sequence as in the original.

     ord

       the ordering to be used to compare elements.

     returns

       a immutable sequence consisting of the elements of this immutable sequence sorted according to the ordering `ord`.

     Definition Classes
       SeqLike
     See also

       scala.math.Ordering

172. #### def span(p: (Node) ⇒ Boolean): (NodeSeq, NodeSeq)

     Splits this immutable sequence into a prefix/suffix pair according to a predicate.

     Splits this immutable sequence into a prefix/suffix pair according to a predicate.

     Note: `c span p` is equivalent to (but possibly more efficient than) `(c takeWhile p, c dropWhile p)`, provided the evaluation of the predicate `p` does not cause any side-effects.

     returns

       a pair consisting of the longest prefix of this immutable sequence whose elements all satisfy `p`, and the rest of this immutable sequence.

     Definition Classes
       TraversableLike → GenTraversableLike

173. #### def splitAt(n: Int): (NodeSeq, NodeSeq)

     Splits this immutable sequence into two at a given position.

     Splits this immutable sequence into two at a given position. Note: `c splitAt n` is equivalent to (but possibly more efficient than) `(c take n, c drop n)`.

     n

       the position at which to split.

     returns

       a pair of immutable sequences consisting of the first `n` elements of this immutable sequence, and the other elements.

     Definition Classes
       TraversableLike → GenTraversableLike

174. #### def startsWith[B](that: GenSeq[B], offset: Int): Boolean

     Tests whether this immutable sequence contains the given sequence at a given index.

     Tests whether this immutable sequence contains the given sequence at a given index.

     Note: If the both the receiver object `this` and the argument `that` are infinite sequences this method may not terminate.

     that

       the sequence to test

     offset

       the index where the sequence is searched.

     returns

       `true` if the sequence `that` is contained in this immutable sequence at index `offset`, otherwise `false`.

     Definition Classes
       SeqLike → GenSeqLike

175. #### def startsWith[B](that: GenSeq[B]): Boolean

     Tests whether this immutable sequence starts with the given sequence.

     Tests whether this immutable sequence starts with the given sequence.

     that

       the sequence to test

     returns

       `true` if this collection has `that` as a prefix, `false` otherwise.

     Definition Classes
       GenSeqLike

176. #### def strict_!=(other: Equality): Boolean

     Definition Classes
       Equality

177. #### def strict_==(other: Equality): Boolean

     Definition Classes
       Atom → Node → NodeSeq → Equality

178. #### def stringPrefix: String

     Defines the prefix of this object's `toString` representation.

     Defines the prefix of this object's `toString` representation.

     returns

       a string representation which starts the result of `toString` applied to this immutable sequence. By default the string prefix is the simple name of the collection class immutable sequence.

     Definition Classes
       TraversableLike → GenTraversableLike

179. #### def sum: A

     [use case] Sums up the elements of this collection.

     [use case]

     Sums up the elements of this collection.

     returns

       the sum of all elements in this immutable sequence of numbers of type `Int`. Instead of `Int`, any other type `T` with an implicit `Numeric[T]` implementation can be used as element type of the immutable sequence and as result type of `sum`. Examples of such types are: `Long`, `Float`, `Double`, `BigInt`.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def sum[B >: Node](implicit num: Numeric[B]): B

180. #### final def synchronized[T0](arg0: ⇒ T0): T0

     Definition Classes
       AnyRef

181. #### def tail: NodeSeq

     Selects all elements except the first.

     Selects all elements except the first.

     returns

       a immutable sequence consisting of all elements of this immutable sequence except the first one.

     Definition Classes
       TraversableLike → GenTraversableLike
     Exceptions thrown
       `UnsupportedOperationException`

       if the immutable sequence is empty.

182. #### def tails: collection.Iterator[NodeSeq]

     Iterates over the tails of this immutable sequence.

     Iterates over the tails of this immutable sequence. The first value will be this immutable sequence and the final one will be an empty immutable sequence, with the intervening values the results of successive applications of `tail`.

     returns

       an iterator over all the tails of this immutable sequence

     Definition Classes
       TraversableLike
     Example:

     1. `List(1,2,3).tails = Iterator(List(1,2,3), List(2,3), List(3), Nil)`

183. #### def take(n: Int): NodeSeq

     Selects first n elements.

     Selects first n elements.

     n

       the number of elements to take from this immutable sequence.

     returns

       a immutable sequence consisting only of the first `n` elements of this immutable sequence, or else the whole immutable sequence, if it has less than `n` elements.

     Definition Classes
       IterableLike → TraversableLike → GenTraversableLike

184. #### def takeRight(n: Int): NodeSeq

     Selects last n elements.

     Selects last n elements.

     n

       the number of elements to take

     returns

       a immutable sequence consisting only of the last `n` elements of this immutable sequence, or else the whole immutable sequence, if it has less than `n` elements.

     Definition Classes
       IterableLike

185. #### def takeWhile(p: (Node) ⇒ Boolean): NodeSeq

     Takes longest prefix of elements that satisfy a predicate.

     Takes longest prefix of elements that satisfy a predicate.

     returns

       the longest prefix of this immutable sequence whose elements all satisfy the predicate `p`.

     Definition Classes
       IterableLike → TraversableLike → GenTraversableLike

186. #### def text: String

     Returns a text representation of this node.

     Returns a text representation of this node. Note that this is not equivalent to the XPath node-test called text(), it is rather an implementation of the XPath function string() Martin to Burak: to do: if you make this method abstract, the compiler will now complain if there's no implementation in a subclass. Is this what we want? Note that this would break doc/DocGenator and doc/ModelToXML, with an error message like:

         doc\DocGenerator.scala:1219: error: object creation impossible, since there is a deferred declaration of method text in class Node of type => String which is not implemented in a subclass
         new SpecialNode {
         ^

     Definition Classes
       Atom → Node → NodeSeq

187. #### def theSeq: Seq[Node]

     returns a sequence consisting of only this node

     returns a sequence consisting of only this node

     Definition Classes
       Node → NodeSeq

188. #### def thisCollection: collection.Seq[Node]

     The underlying collection seen as an instance of ``immutable.Seq``.

     The underlying collection seen as an instance of ``immutable.Seq``. By default this is implemented as the current collection object itself, but this can be overridden.

     Attributes
       protected[this]
     Definition Classes
       SeqLike → IterableLike → TraversableLike

189. #### def to[Col[_]]: Col[A]

     [use case] Converts this immutable sequence into another by copying all elements.

     [use case]

     Converts this immutable sequence into another by copying all elements.

     Note: will not terminate for infinite-sized collections.

     Col

       The collection type to build.

     returns

       a new collection containing all elements of this immutable sequence.

     Definition Classes
       TraversableLike → TraversableOnce → GenTraversableOnce
     Full Signature

     #### def to[Col[_]](implicit cbf: CanBuildFrom[Nothing, Node, Col[Node]]): Col[Node]

190. #### def toArray: Array[A]

     [use case] Converts this immutable sequence to an array.

     [use case]

     Converts this immutable sequence to an array.

     Note: will not terminate for infinite-sized collections.

     returns

       an array containing all elements of this immutable sequence. An `ClassTag` must be available for the element type of this immutable sequence.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def toArray[B >: Node](implicit arg0: ClassTag[B]): Array[B]

191. #### def toBuffer[B >: Node]: Buffer[B]

     Converts this immutable sequence to a mutable buffer.

     Converts this immutable sequence to a mutable buffer.

     Note: will not terminate for infinite-sized collections.

     returns

       a buffer containing all elements of this immutable sequence.

     Definition Classes
       TraversableOnce → GenTraversableOnce

192. #### def toCollection(repr: NodeSeq): collection.Seq[Node]

     A conversion from collections of type `Repr` to ``immutable.Seq`` objects.

     A conversion from collections of type `Repr` to ``immutable.Seq`` objects. By default this is implemented as just a cast, but this can be overridden.

     Attributes
       protected[this]
     Definition Classes
       SeqLike → IterableLike → TraversableLike

193. #### def toIndexedSeq: collection.immutable.IndexedSeq[Node]

     Converts this immutable sequence to an indexed sequence.

     Converts this immutable sequence to an indexed sequence.

     Note: will not terminate for infinite-sized collections.

     returns

       an indexed sequence containing all elements of this immutable sequence.

     Definition Classes
       TraversableOnce → GenTraversableOnce

194. #### def toIterable: collection.Iterable[Node]

     Converts this immutable sequence to an iterable collection.

     Converts this immutable sequence to an iterable collection. Note that the choice of target `Iterable` is lazy in this default implementation as this `TraversableOnce` may be lazy and unevaluated (i.e. it may be an iterator which is only traversable once).

     Note: will not terminate for infinite-sized collections.

     returns

       an `Iterable` containing all elements of this immutable sequence.

     Definition Classes
       IterableLike → TraversableOnce → GenTraversableOnce

195. #### def toIterator: collection.Iterator[Node]

     Returns an Iterator over the elements in this immutable sequence.

     Returns an Iterator over the elements in this immutable sequence. Will return the same Iterator if this instance is already an Iterator.

     Note: will not terminate for infinite-sized collections.

     returns

       an Iterator containing all elements of this immutable sequence.

     Definition Classes
       IterableLike → TraversableLike → GenTraversableOnce

196. #### def toList: List[Node]

     Converts this immutable sequence to a list.

     Converts this immutable sequence to a list.

     Note: will not terminate for infinite-sized collections.

     returns

       a list containing all elements of this immutable sequence.

     Definition Classes
       TraversableOnce → GenTraversableOnce

197. #### def toMap[T, U]: Map[T, U]

     [use case] Converts this immutable sequence to a map.

     [use case]

     Converts this immutable sequence to a map. This method is unavailable unless the elements are members of Tuple2, each ((T, U)) becoming a key-value pair in the map. Duplicate keys will be overwritten by later keys: if this is an unordered collection, which key is in the resulting map is undefined.

     Note: will not terminate for infinite-sized collections.

     returns

       a map of type `immutable.Map[T, U]` containing all key/value pairs of type `(T, U)` of this immutable sequence.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def toMap[T, U](implicit ev: <:<[Node, (T, U)]): Map[T, U]

198. #### def toParArray: ParArray[Node]

     Implicit information
       This member is added by an implicit conversion from Text to TraversableOps[Node] performed by method traversable2ops in scala.collection.parallel.
     Definition Classes
       TraversableOps

199. #### def toSeq: collection.immutable.Seq[Node]

     Converts this immutable sequence to a sequence.

     Converts this immutable sequence to a sequence.

     Note: will not terminate for infinite-sized collections.

     Overridden for efficiency.

     returns

       a sequence containing all elements of this immutable sequence.

     Definition Classes
       Seq → SeqLike → GenSeqLike → TraversableOnce → GenTraversableOnce

200. #### def toSet[B >: Node]: Set[B]

     Converts this immutable sequence to a set.

     Converts this immutable sequence to a set.

     Note: will not terminate for infinite-sized collections.

     returns

       a set containing all elements of this immutable sequence.

     Definition Classes
       TraversableOnce → GenTraversableOnce

201. #### def toStream: collection.immutable.Stream[Node]

     Converts this immutable sequence to a stream.

     Converts this immutable sequence to a stream.

     Note: will not terminate for infinite-sized collections.

     returns

       a stream containing all elements of this immutable sequence.

     Definition Classes
       IterableLike → TraversableLike → GenTraversableOnce

202. #### def toString(): String

     Same as `toString(false)`.

     Same as `toString(false)`.

     returns

       a string representation of this collection. By default this string consists of the `stringPrefix` of this immutable sequence, followed by all elements separated by commas and enclosed in parentheses.

     Definition Classes
       Node → NodeSeq → SeqLike → Function1 → TraversableLike → AnyRef → Any

203. #### def toTraversable: collection.Traversable[Node]

     Converts this immutable sequence to an unspecified Traversable.

     Converts this immutable sequence to an unspecified Traversable. Will return the same collection if this instance is already Traversable.

     Note: will not terminate for infinite-sized collections.

     returns

       a Traversable containing all elements of this immutable sequence.

     Definition Classes
       TraversableLike → TraversableOnce → GenTraversableOnce

204. #### def toVector: Vector[Node]

     Converts this immutable sequence to a Vector.

     Converts this immutable sequence to a Vector.

     Note: will not terminate for infinite-sized collections.

     returns

       a vector containing all elements of this immutable sequence.

     Definition Classes
       TraversableOnce → GenTraversableOnce

205. #### def transpose[B](implicit asTraversable: (Node) ⇒ GenTraversableOnce[B]): collection.immutable.Seq[collection.immutable.Seq[B]]

     Transposes this immutable sequence of traversable collections into a immutable sequence of immutable sequences.

     Transposes this immutable sequence of traversable collections into a immutable sequence of immutable sequences.

     B

       the type of the elements of each traversable collection.

     asTraversable

       an implicit conversion which asserts that the element type of this immutable sequence is a `Traversable`.

     returns

       a two-dimensional immutable sequence of immutable sequences which has as nth row the nth column of this immutable sequence.

     Definition Classes
       GenericTraversableTemplate
     Annotations
       @migration
     Migration

       (Changed in version 2.9.0) `transpose` throws an `IllegalArgumentException` if collections are not uniformly sized.

     Exceptions thrown
       `IllegalArgumentException`

       if all collections in this immutable sequence are not of the same size.

206. #### def union(that: collection.Seq[Node]): immutable.Seq[Node]

     [use case] Produces a new sequence which contains all elements of this immutable sequence and also all elements of a given sequence.

     [use case]

     Produces a new sequence which contains all elements of this immutable sequence and also all elements of a given sequence. `xs union ys` is equivalent to `xs ++ ys`.

     Another way to express this is that `xs union ys` computes the order-presevring multi-set union of `xs` and `ys`. `union` is hence a counter-part of `diff` and `intersect` which also work on multi-sets.

     Note: will not terminate for infinite-sized collections.

     that

       the sequence to add.

     returns

       a new immutable sequence which contains all elements of this immutable sequence followed by all elements of `that`.

     Definition Classes
       SeqLike → GenSeqLike
     Full Signature

     #### def union[B >: Node, That](that: GenSeq[B])(implicit bf: CanBuildFrom[NodeSeq, B, That]): That

207. #### def unzip[A1, A2](implicit asPair: (Node) ⇒ (A1, A2)): (collection.immutable.Seq[A1], collection.immutable.Seq[A2])

     Converts this immutable sequence of pairs into two collections of the first and second half of each pair.

     Converts this immutable sequence of pairs into two collections of the first and second half of each pair.

     A1

       the type of the first half of the element pairs

     A2

       the type of the second half of the element pairs

     asPair

       an implicit conversion which asserts that the element type of this immutable sequence is a pair.

     returns

       a pair immutable sequences, containing the first, respectively second half of each element pair of this immutable sequence.

     Definition Classes
       GenericTraversableTemplate

208. #### def unzip3[A1, A2, A3](implicit asTriple: (Node) ⇒ (A1, A2, A3)): (collection.immutable.Seq[A1], collection.immutable.Seq[A2], collection.immutable.Seq[A3])

     Converts this immutable sequence of triples into three collections of the first, second, and third element of each triple.

     Converts this immutable sequence of triples into three collections of the first, second, and third element of each triple.

     A1

       the type of the first member of the element triples

     A2

       the type of the second member of the element triples

     A3

       the type of the third member of the element triples

     asTriple

       an implicit conversion which asserts that the element type of this immutable sequence is a triple.

     returns

       a triple immutable sequences, containing the first, second, respectively third member of each element triple of this immutable sequence.

     Definition Classes
       GenericTraversableTemplate

209. #### def updated(index: Int, elem: A): immutable.Seq[A]

     [use case] A copy of this immutable sequence with one single replaced element.

     [use case]

     A copy of this immutable sequence with one single replaced element.

     index

       the position of the replacement

     elem

       the replacing element

     returns

       a copy of this immutable sequence with the element at position `index` replaced by `elem`.

     Definition Classes
       SeqLike → GenSeqLike
     Full Signature

     #### def updated[B >: Node, That](index: Int, elem: B)(implicit bf: CanBuildFrom[NodeSeq, B, That]): That

210. #### def view(from: Int, until: Int): SeqView[Node, NodeSeq]

     Creates a non-strict view of a slice of this immutable sequence.

     Creates a non-strict view of a slice of this immutable sequence.

     Note: the difference between `view` and `slice` is that `view` produces a view of the current immutable sequence, whereas `slice` produces a new immutable sequence.

     Note: `view(from, to)` is equivalent to `view.slice(from, to)`

     from

       the index of the first element of the view

     until

       the index of the element following the view

     returns

       a non-strict view of a slice of this immutable sequence, starting at index `from` and extending up to (but not including) index `until`.

     Definition Classes
       SeqLike → IterableLike → TraversableLike

211. #### def view: SeqView[Node, NodeSeq]

     Creates a non-strict view of this immutable sequence.

     Creates a non-strict view of this immutable sequence.

     returns

       a non-strict view of this immutable sequence.

     Definition Classes
       SeqLike → IterableLike → TraversableLike

212. #### final def wait(): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws ( ... )

213. #### final def wait(arg0: Long, arg1: Int): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws ( ... )

214. #### final def wait(arg0: Long): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws ( ... )

215. #### def withFilter(p: (Node) ⇒ Boolean): FilterMonadic[Node, NodeSeq]

     Creates a non-strict filter of this immutable sequence.

     Creates a non-strict filter of this immutable sequence.

     Note: the difference between `c filter p` and `c withFilter p` is that the former creates a new collection, whereas the latter only restricts the domain of subsequent `map`, `flatMap`, `foreach`, and `withFilter` operations.

     p

       the predicate used to test elements.

     returns

       an object of class `WithFilter`, which supports `map`, `flatMap`, `foreach`, and `withFilter` operations. All these operations apply to those elements of this immutable sequence which satisfy the predicate `p`.

     Definition Classes
       TraversableLike → FilterMonadic

216. #### def xmlType(): TypeSymbol

     Returns a type symbol (e.

     Returns a type symbol (e.g. DTD, XSD), default `null`.

     Definition Classes
       Node

217. #### final def xml_!=(other: Any): Boolean

     Definition Classes
       Equality

218. #### final def xml_==(other: Any): Boolean

     Definition Classes
       Equality

219. #### def xml_sameElements[A](that: Iterable[A]): Boolean

     Definition Classes
       NodeSeq

220. #### def zip[B](that: GenIterable[B]): immutable.Seq[(A, B)]

     [use case] Returns a immutable sequence formed from this immutable sequence and another iterable collection by combining corresponding elements in pairs.

     [use case]

     Returns a immutable sequence formed from this immutable sequence and another iterable collection by combining corresponding elements in pairs. If one of the two collections is longer than the other, its remaining elements are ignored.

     B

       the type of the second half of the returned pairs

     that

       The iterable providing the second half of each result pair

     returns

       a new immutable sequence containing pairs consisting of corresponding elements of this immutable sequence and `that`. The length of the returned collection is the minimum of the lengths of this immutable sequence and `that`.

     Definition Classes
       IterableLike → GenIterableLike
     Full Signature

     #### def zip[A1 >: Node, B, That](that: GenIterable[B])(implicit bf: CanBuildFrom[NodeSeq, (A1, B), That]): That

221. #### def zipAll[B](that: collection.Iterable[B], thisElem: A, thatElem: B): immutable.Seq[(A, B)]

     [use case] Returns a immutable sequence formed from this immutable sequence and another iterable collection by combining corresponding elements in pairs.

     [use case]

     Returns a immutable sequence formed from this immutable sequence and another iterable collection by combining corresponding elements in pairs. If one of the two collections is shorter than the other, placeholder elements are used to extend the shorter collection to the length of the longer.

     B

       the type of the second half of the returned pairs

     that

       The iterable providing the second half of each result pair

     thisElem

       the element to be used to fill up the result if this immutable sequence is shorter than `that`.

     thatElem

       the element to be used to fill up the result if `that` is shorter than this immutable sequence.

     returns

       a new immutable sequence containing pairs consisting of corresponding elements of this immutable sequence and `that`. The length of the returned collection is the maximum of the lengths of this immutable sequence and `that`. If this immutable sequence is shorter than `that`, `thisElem` values are used to pad the result. If `that` is shorter than this immutable sequence, `thatElem` values are used to pad the result.

     Definition Classes
       IterableLike → GenIterableLike
     Full Signature

     #### def zipAll[B, A1 >: Node, That](that: GenIterable[B], thisElem: A1, thatElem: B)(implicit bf: CanBuildFrom[NodeSeq, (A1, B), That]): That

222. #### def zipWithIndex: immutable.Seq[(A, Int)]

     [use case] Zips this immutable sequence with its indices.

     [use case]

     Zips this immutable sequence with its indices.

     returns

       A new immutable sequence containing pairs consisting of all elements of this immutable sequence paired with their index. Indices start at `0`.

     Definition Classes
       IterableLike → GenIterableLike
     Full Signature

     #### def zipWithIndex[A1 >: Node, That](implicit bf: CanBuildFrom[NodeSeq, (A1, Int), That]): That

     Example:

     1. `List("a", "b", "c").zipWithIndex = List(("a", 0), ("b", 1), ("c", 2))`

223. #### def →[B](y: B): (Text, B)

     Implicit information
       This member is added by an implicit conversion from Text to ArrowAssoc[Text] performed by method any2ArrowAssoc in scala.Predef.
     Definition Classes
       ArrowAssoc

### Shadowed Implicit Value Members

1. #### def ++[B](that: GenTraversableOnce[B]): immutable.Seq[B]

   [use case] Returns a new immutable sequence containing the elements from the left hand operand followed by the elements from the right hand operand.

   [use case]

   Returns a new immutable sequence containing the elements from the left hand operand followed by the elements from the right hand operand. The element type of the immutable sequence is the most specific superclass encompassing the element types of the two operands.

   Example:

       scala> val a = LinkedList(1)
       a: scala.collection.mutable.LinkedList[Int] = LinkedList(1)

       scala> val b = LinkedList(2)
       b: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

       scala> val c = a ++ b
       c: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

       scala> val d = LinkedList('a')
       d: scala.collection.mutable.LinkedList[Char] = LinkedList(a)

       scala> val e = c ++ d
       e: scala.collection.mutable.LinkedList[AnyVal] = LinkedList(1, 2, a)

   B

     the element type of the returned collection.

   that

     the traversable to append.

   returns

     a new immutable sequence which contains all elements of this immutable sequence followed by all elements of `that`.

   Implicit information
     This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (text: NodeSeq).++(that)

   Definition Classes
     TraversableLike → GenTraversableLike
   Full Signature

   #### def ++[B >: Node, That](that: GenTraversableOnce[B])(implicit bf: CanBuildFrom[NodeSeq, B, That]): That

2. #### def ++:[B >: Node, That](that: collection.Traversable[B])(implicit bf: CanBuildFrom[NodeSeq, B, That]): That

   As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

   As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

   It differs from `++` in that the right operand determines the type of the resulting collection rather than the left one. Mnemonic: the COLon is on the side of the new COLlection type.

   Example:

       scala> val x = List(1)
       x: List[Int] = List(1)

       scala> val y = LinkedList(2)
       y: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

       scala> val z = x ++: y
       z: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

   This overload exists because: for the implementation of `++:` we should reuse that of `++` because many collections override it with more efficient versions.

   Since `TraversableOnce` has no `++` method, we have to implement that directly, but `Traversable` and down can use the overload.

   B

     the element type of the returned collection.

   That

     the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

   that

     the traversable to append.

   bf

     an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

   returns

     a new collection of type `That` which contains all elements of this immutable sequence followed by all elements of `that`.

   Implicit information
     This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (text: NodeSeq).++:(that)(bf)

   Definition Classes
     TraversableLike

3. #### def ++:[B](that: collection.TraversableOnce[B]): immutable.Seq[B]

   [use case] As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

   [use case]

   As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

   It differs from `++` in that the right operand determines the type of the resulting collection rather than the left one. Mnemonic: the COLon is on the side of the new COLlection type.

   Example:

       scala> val x = List(1)
       x: List[Int] = List(1)

       scala> val y = LinkedList(2)
       y: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

       scala> val z = x ++: y
       z: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

   B

     the element type of the returned collection.

   that

     the traversable to append.

   returns

     a new immutable sequence which contains all elements of this immutable sequence followed by all elements of `that`.

   Implicit information
     This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (text: NodeSeq).++:(that)

   Definition Classes
     TraversableLike
   Full Signature

   #### def ++:[B >: Node, That](that: collection.TraversableOnce[B])(implicit bf: CanBuildFrom[NodeSeq, B, That]): That

4. #### def +:(elem: A): immutable.Seq[A]

   [use case] A copy of the immutable sequence with an element prepended.

   [use case]

   A copy of the immutable sequence with an element prepended.

   Note that :-ending operators are right associative (see example). A mnemonic for `+:` vs. `:+` is: the COLon goes on the COLlection side.

   Also, the original immutable sequence is not modified, so you will want to capture the result.

   Example:

       scala> val x = LinkedList(1)
       x: scala.collection.mutable.LinkedList[Int] = LinkedList(1)

       scala> val y = 2 +: x
       y: scala.collection.mutable.LinkedList[Int] = LinkedList(2, 1)

       scala> println(x)
       LinkedList(1)

   elem

     the prepended element

   returns

     a new immutable sequence consisting of `elem` followed by all elements of this immutable sequence.

   Implicit information
     This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (text: NodeSeq).+:(elem)

   Definition Classes
     SeqLike → GenSeqLike
   Full Signature

   #### def +:[B >: Node, That](elem: B)(implicit bf: CanBuildFrom[NodeSeq, B, That]): That

5. #### def /:[B](z: B)(op: (B, Node) ⇒ B): B

   Applies a binary operator to a start value and all elements of this immutable sequence, going left to right.

   Applies a binary operator to a start value and all elements of this immutable sequence, going left to right.

   Note: `/:` is alternate syntax for `foldLeft`; `z /: xs` is the same as `xs foldLeft z`.

   Examples:

   Note that the folding function used to compute b is equivalent to that used to compute c.

       scala> val a = LinkedList(1,2,3,4)
       a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

       scala> val b = (5 /: a)(_+_)
       b: Int = 15

       scala> val c = (5 /: a)((x,y) => x + y)
       c: Int = 15

   Note: will not terminate for infinite-sized collections.

   B

     the result type of the binary operator.

   z

     the start value.

   op

     the binary operator.

   returns

     the result of inserting `op` between consecutive elements of this immutable sequence, going left to right with the start value `z` on the left:

         op(...op(op(z, x_1), x_2), ..., x_n)

     where `x1, ..., xn` are the elements of this immutable sequence.

   Implicit information
     This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (text: NodeSeq)./:(z)(op)

   Definition Classes
     TraversableOnce → GenTraversableOnce

6. #### def :+(elem: A): immutable.Seq[A]

   [use case] A copy of this immutable sequence with an element appended.

   [use case]

   A copy of this immutable sequence with an element appended.

   A mnemonic for `+:` vs. `:+` is: the COLon goes on the COLlection side.

   Note: will not terminate for infinite-sized collections.

   Example:

       scala> import scala.collection.mutable.LinkedList
       import scala.collection.mutable.LinkedList

       scala> val a = LinkedList(1)
       a: scala.collection.mutable.LinkedList[Int] = LinkedList(1)

       scala> val b = a :+ 2
       b: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

       scala> println(a)
       LinkedList(1)

   elem

     the appended element

   returns

     a new immutable sequence consisting of all elements of this immutable sequence followed by `elem`.

   Implicit information
     This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (text: NodeSeq).:+(elem)

   Definition Classes
     SeqLike → GenSeqLike
   Full Signature

   #### def :+[B >: Node, That](elem: B)(implicit bf: CanBuildFrom[NodeSeq, B, That]): That

7. #### def :\[B](z: B)(op: (Node, B) ⇒ B): B

   Applies a binary operator to all elements of this immutable sequence and a start value, going right to left.

   Applies a binary operator to all elements of this immutable sequence and a start value, going right to left.

   Note: `:\` is alternate syntax for `foldRight`; `xs :\ z` is the same as `xs foldRight z`.

   Note: will not terminate for infinite-sized collections.

   Examples:

   Note that the folding function used to compute b is equivalent to that used to compute c.

       scala> val a = LinkedList(1,2,3,4)
       a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

       scala> val b = (a :\ 5)(_+_)
       b: Int = 15

       scala> val c = (a :\ 5)((x,y) => x + y)
       c: Int = 15

   B

     the result type of the binary operator.

   z

     the start value

   op

     the binary operator

   returns

     the result of inserting `op` between consecutive elements of this immutable sequence, going right to left with the start value `z` on the right:

         op(x_1, op(x_2, ... op(x_n, z)...))

     where `x1, ..., xn` are the elements of this immutable sequence.

   Implicit information
     This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (text: NodeSeq).:\(z)(op)

   Definition Classes
     TraversableOnce → GenTraversableOnce

8. #### def \(that: String): NodeSeq

   Projection function, which returns elements of `this` sequence based on the string `that`.

   Projection function, which returns elements of `this` sequence based on the string `that`. Use:

   - `this \ "foo"` to get a list of all elements that are labelled with `"foo"`;
   - `\ "_"` to get a list of all elements (wildcard);
   - `ns \ "@foo"` to get the unprefixed attribute `"foo"`;
   - `ns \ "@{uri}foo"` to get the prefixed attribute `"pre:foo"` whose prefix `"pre"` is resolved to the namespace `"uri"`.

   For attribute projections, the resulting scala.xml.NodeSeq attribute values are wrapped in a scala.xml.Group.

   There is no support for searching a prefixed attribute by its literal prefix.

   The document order is preserved.

   Implicit information
     This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (text: NodeSeq).\(that)

   Definition Classes
     NodeSeq

9. #### def \\(that: String): NodeSeq

   Projection function, which returns elements of `this` sequence and of all its subsequences, based on the string `that`.

   Projection function, which returns elements of `this` sequence and of all its subsequences, based on the string `that`. Use:

   - `this \\ 'foo` to get a list of all elements that are labelled with `"foo"`;
   - `\\ "_"` to get a list of all elements (wildcard);
   - `ns \\ "@foo"` to get the unprefixed attribute `"foo"`;
   - `ns \\ "@{uri}foo"` to get each prefixed attribute `"pre:foo"` whose prefix `"pre"` is resolved to the namespace `"uri"`.

   For attribute projections, the resulting scala.xml.NodeSeq attribute values are wrapped in a scala.xml.Group.

   There is no support for searching a prefixed attribute by its literal prefix.

   The document order is preserved.

   Implicit information
     This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (text: NodeSeq).\\(that)

   Definition Classes
     NodeSeq

10. #### def addString(b: StringBuilder): StringBuilder

    Appends all elements of this immutable sequence to a string builder.

    Appends all elements of this immutable sequence to a string builder. The written text consists of the string representations (w.r.t. the method `toString`) of all elements of this immutable sequence without any separator string.

    Example:

        scala> val a = LinkedList(1,2,3,4)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

        scala> val b = new StringBuilder()
        b: StringBuilder =

        scala> val h = a.addString(b)
        b: StringBuilder = 1234

    b

      the string builder to which elements are appended.

    returns

      the string builder `b` to which elements were appended.

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).addString(b)

    Definition Classes
      TraversableOnce

11. #### def addString(b: StringBuilder, sep: String): StringBuilder

    Appends all elements of this immutable sequence to a string builder using a separator string.

    Appends all elements of this immutable sequence to a string builder using a separator string. The written text consists of the string representations (w.r.t. the method `toString`) of all elements of this immutable sequence, separated by the string `sep`.

    Example:

        scala> val a = LinkedList(1,2,3,4)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

        scala> val b = new StringBuilder()
        b: StringBuilder =

        scala> a.addString(b, ", ")
        res0: StringBuilder = 1, 2, 3, 4

    b

      the string builder to which elements are appended.

    sep

      the separator string.

    returns

      the string builder `b` to which elements were appended.

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).addString(b, sep)

    Definition Classes
      TraversableOnce

12. #### def addString(b: StringBuilder, start: String, sep: String, end: String): StringBuilder

    Appends all elements of this immutable sequence to a string builder using start, end, and separator strings.

    Appends all elements of this immutable sequence to a string builder using start, end, and separator strings. The written text begins with the string `start` and ends with the string `end`. Inside, the string representations (w.r.t. the method `toString`) of all elements of this immutable sequence are separated by the string `sep`.

    Example:

        scala> val a = LinkedList(1,2,3,4)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

        scala> val b = new StringBuilder()
        b: StringBuilder =

        scala> a.addString(b, "LinkedList(", ", ", ")")
        res1: StringBuilder = LinkedList(1, 2, 3, 4)

    b

      the string builder to which elements are appended.

    start

      the starting string.

    sep

      the separator string.

    end

      the ending string.

    returns

      the string builder `b` to which elements were appended.

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).addString(b, start, sep, end)

    Definition Classes
      TraversableOnce

13. #### def aggregate[B](z: B)(seqop: (B, Node) ⇒ B, combop: (B, B) ⇒ B): B

    Aggregates the results of applying an operator to subsequent elements.

    Aggregates the results of applying an operator to subsequent elements.

    This is a more general form of `fold` and `reduce`. It has similar semantics, but does not require the result to be a supertype of the element type. It traverses the elements in different partitions sequentially, using `seqop` to update the result, and then applies `combop` to results from different partitions. The implementation of this operation may operate on an arbitrary number of collection partitions, so `combop` may be invoked an arbitrary number of times.

    For example, one might want to process some elements and then produce a `Set`. In this case, `seqop` would process an element and append it to the list, while `combop` would concatenate two lists from different partitions together. The initial value `z` would be an empty set.

        pc.aggregate(Set[Int]())(_ += process(_), _ ++ _)

    Another example is calculating geometric mean from a collection of doubles (one would typically require big doubles for this).

    B

      the type of accumulated results

    z

      the initial value for the accumulated result of the partition - this will typically be the neutral element for the `seqop` operator (e.g. `Nil` for list concatenation or `0` for summation)

    seqop

      an operator used to accumulate results within a partition

    combop

      an associative operator used to combine results from different partitions

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).aggregate(z)(seqop, combop)

    Definition Classes
      TraversableOnce → GenTraversableOnce

14. #### def andThen[C](k: (Node) ⇒ C): PartialFunction[Int, C]

    Composes this partial function with a transformation function that gets applied to results of this partial function.

    Composes this partial function with a transformation function that gets applied to results of this partial function.

    C

      the result type of the transformation function.

    k

      the transformation function

    returns

      a partial function with the same domain as this partial function, which maps arguments `x` to `k(this(x))`.

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).andThen(k)

    Definition Classes
      PartialFunction → Function1

15. #### def apply(f: (Node) ⇒ Boolean): NodeSeq

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).apply(f)

    Definition Classes
      NodeSeq

16. #### def apply(i: Int): Node

    Selects an element by its index in the immutable sequence.

    Selects an element by its index in the immutable sequence.

    Example:

        scala> val x = LinkedList(1, 2, 3, 4, 5)
        x: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4, 5)

        scala> x(3)
        res1: Int = 4

    returns

      the element of this immutable sequence at index `idx`, where `0` indicates the first element.

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).apply(i)

    Definition Classes
      NodeSeq → SeqLike → GenSeqLike → Function1
    Exceptions thrown
      `IndexOutOfBoundsException`

      if `idx` does not satisfy `0 <= idx < length`.

17. #### def applyOrElse[A1 <: Int, B1 >: Node](x: A1, default: (A1) ⇒ B1): B1

    Applies this partial function to the given argument when it is contained in the function domain.

    Applies this partial function to the given argument when it is contained in the function domain. Applies fallback function where this partial function is not defined.

    Note that expression `pf.applyOrElse(x, default)` is equivalent to

        if(pf isDefinedAt x) pf(x) else default(x)

    except that `applyOrElse` method can be implemented more efficiently. For all partial function literals compiler generates `applyOrElse` implementation which avoids double evaluation of pattern matchers and guards. This makes `applyOrElse` the basis for the efficient implementation for many operations and scenarios, such as:

    - combining partial functions into `orElse`/`andThen` chains does not lead to excessive `apply`/`isDefinedAt` evaluation
    - `lift` and `unlift` do not evaluate source functions twice on each invocation
    - `runWith` allows efficient imperative-style combining of partial functions with conditionally applied actions

    For non-literal partial function classes with nontrivial `isDefinedAt` method it is recommended to override `applyOrElse` with custom implementation that avoids double `isDefinedAt` evaluation. This may result in better performance and more predictable behavior w.r.t. side effects.

    x

      the function argument

    default

      the fallback function

    returns

      the result of this function or fallback function application.

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).applyOrElse(x, default)

    Definition Classes
      PartialFunction
    Since

      2.10

18. #### def canEqual(other: Any): Boolean

    We insist we're only equal to other `xml.Equality` implementors, which heads off a lot of inconsistency up front.

    We insist we're only equal to other `xml.Equality` implementors, which heads off a lot of inconsistency up front.

    returns

      true if this instance can possibly equal `that`, otherwise false

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).canEqual(other)

    Definition Classes
      NodeSeq → Equality → IterableLike → Equals

19. #### def collect[B](pf: PartialFunction[A, B]): immutable.Seq[B]

    [use case] Builds a new collection by applying a partial function to all elements of this immutable sequence on which the function is defined.

    [use case]

    Builds a new collection by applying a partial function to all elements of this immutable sequence on which the function is defined.

    B

      the element type of the returned collection.

    pf

      the partial function which filters and maps the immutable sequence.

    returns

      a new immutable sequence resulting from applying the given partial function `pf` to each element on which it is defined and collecting the results. The order of the elements is preserved.

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).collect(pf)

    Definition Classes
      TraversableLike → GenTraversableLike
    Full Signature

    #### def collect[B, That](pf: PartialFunction[Node, B])(implicit bf: CanBuildFrom[NodeSeq, B, That]): That

20. #### def collectFirst[B](pf: PartialFunction[Node, B]): Option[B]

    Finds the first element of the immutable sequence for which the given partial function is defined, and applies the partial function to it.

    Finds the first element of the immutable sequence for which the given partial function is defined, and applies the partial function to it.

    Note: may not terminate for infinite-sized collections.

    pf

      the partial function

    returns

      an option value containing pf applied to the first value for which it is defined, or `None` if none exists.

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).collectFirst(pf)

    Definition Classes
      TraversableOnce
    Example:

    1. `Seq("a", 1, 5L).collectFirst({ case x: Int => x*10 }) = Some(10)`

21. #### def combinations(n: Int): collection.Iterator[NodeSeq]

    Iterates over combinations.

    Iterates over combinations.

    returns

      An Iterator which traverses the possible n-element combinations of this immutable sequence.

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).combinations(n)

    Definition Classes
      SeqLike
    Example:

    1. `"abbbc".combinations(2) = Iterator(ab, ac, bb, bc)`

22. #### def companion: GenericCompanion[collection.immutable.Seq]

    The factory companion object that builds instances of class `immutable.Seq`.

    The factory companion object that builds instances of class `immutable.Seq`. (or its `Iterable` superclass where class `immutable.Seq` is not a `Seq`.)

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).companion

    Definition Classes
      Seq → Seq → GenSeq → Iterable → Iterable → GenIterable → Traversable → Traversable → GenTraversable → GenericTraversableTemplate

23. #### def compose[A](g: (A) ⇒ Int): (A) ⇒ Node

    Composes two instances of Function1 in a new Function1, with this function applied last.

    Composes two instances of Function1 in a new Function1, with this function applied last.

    A

      the type to which function `g` can be applied

    g

      a function A => T1

    returns

      a new function `f` such that `f(x) == apply(g(x))`

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).compose(g)

    Definition Classes
      Function1
    Annotations
      @unspecialized ()

24. #### def contains(elem: Any): Boolean

    Tests whether this immutable sequence contains a given value as an element.

    Tests whether this immutable sequence contains a given value as an element.

    Note: may not terminate for infinite-sized collections.

    elem

      the element to test.

    returns

      `true` if this immutable sequence has an element that is equal (as determined by `==`) to `elem`, `false` otherwise.

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).contains(elem)

    Definition Classes
      SeqLike

25. #### def containsSlice[B](that: GenSeq[B]): Boolean

    Tests whether this immutable sequence contains a given sequence as a slice.

    Tests whether this immutable sequence contains a given sequence as a slice.

    Note: may not terminate for infinite-sized collections.

    that

      the sequence to test

    returns

      `true` if this immutable sequence contains a slice with the same elements as `that`, otherwise `false`.

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).containsSlice(that)

    Definition Classes
      SeqLike

26. #### def copyToArray(xs: Array[A], start: Int, len: Int): Unit

    [use case] Copies elements of this immutable sequence to an array.

    [use case]

    Copies elements of this immutable sequence to an array. Fills the given array `xs` with at most `len` elements of this immutable sequence, starting at position `start`. Copying will stop once either the end of the current immutable sequence is reached, or the end of the array is reached, or `len` elements have been copied.

    Note: will not terminate for infinite-sized collections.

    xs

      the array to fill.

    start

      the starting index.

    len

      the maximal number of elements to copy.

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).copyToArray(xs, start, len)

    Definition Classes
      IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce
    Full Signature

    #### def copyToArray[B >: Node](xs: Array[B], start: Int, len: Int): Unit

27. #### def copyToArray(xs: Array[A]): Unit

    [use case] Copies values of this immutable sequence to an array.

    [use case]

    Copies values of this immutable sequence to an array. Fills the given array `xs` with values of this immutable sequence. Copying will stop once either the end of the current immutable sequence is reached, or the end of the array is reached.

    Note: will not terminate for infinite-sized collections.

    xs

      the array to fill.

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).copyToArray(xs)

    Definition Classes
      TraversableOnce → GenTraversableOnce
    Full Signature

    #### def copyToArray[B >: Node](xs: Array[B]): Unit

28. #### def copyToArray(xs: Array[A], start: Int): Unit

    [use case] Copies values of this immutable sequence to an array.

    [use case]

    Copies values of this immutable sequence to an array. Fills the given array `xs` with values of this immutable sequence, beginning at index `start`. Copying will stop once either the end of the current immutable sequence is reached, or the end of the array is reached.

    Note: will not terminate for infinite-sized collections.

    xs

      the array to fill.

    start

      the starting index.

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).copyToArray(xs, start)

    Definition Classes
      TraversableOnce → GenTraversableOnce
    Full Signature

    #### def copyToArray[B >: Node](xs: Array[B], start: Int): Unit

29. #### def copyToBuffer[B >: Node](dest: Buffer[B]): Unit

    Copies all elements of this immutable sequence to a buffer.

    Copies all elements of this immutable sequence to a buffer.

    Note: will not terminate for infinite-sized collections.

    dest

      The buffer to which elements are copied.

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).copyToBuffer(dest)

    Definition Classes
      TraversableOnce

30. #### def corresponds[B](that: GenSeq[B])(p: (Node, B) ⇒ Boolean): Boolean

    Tests whether every element of this immutable sequence relates to the corresponding element of another sequence by satisfying a test predicate.

    Tests whether every element of this immutable sequence relates to the corresponding element of another sequence by satisfying a test predicate.

    B

      the type of the elements of `that`

    that

      the other sequence

    p

      the test predicate, which relates elements from both sequences

    returns

      `true` if both sequences have the same length and `p(x, y)` is `true` for all corresponding elements `x` of this immutable sequence and `y` of `that`, otherwise `false`.

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).corresponds(that)(p)

    Definition Classes
      SeqLike → GenSeqLike

31. #### def count(p: (Node) ⇒ Boolean): Int

    Counts the number of elements in the immutable sequence which satisfy a predicate.

    Counts the number of elements in the immutable sequence which satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      the number of elements satisfying the predicate `p`.

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).count(p)

    Definition Classes
      TraversableOnce → GenTraversableOnce

32. #### def diff(that: collection.Seq[Node]): immutable.Seq[Node]

    [use case] Computes the multiset difference between this immutable sequence and another sequence.

    [use case]

    Computes the multiset difference between this immutable sequence and another sequence.

    Note: will not terminate for infinite-sized collections.

    that

      the sequence of elements to remove

    returns

      a new immutable sequence which contains all elements of this immutable sequence except some of occurrences of elements that also appear in `that`. If an element value `x` appears n times in `that`, then the first n occurrences of `x` will not form part of the result, but any following occurrences will.

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).diff(that)

    Definition Classes
      SeqLike → GenSeqLike
    Full Signature

    #### def diff[B >: Node](that: GenSeq[B]): NodeSeq

33. #### def distinct: NodeSeq

    Builds a new immutable sequence from this immutable sequence without any duplicate elements.

    Builds a new immutable sequence from this immutable sequence without any duplicate elements.

    Note: will not terminate for infinite-sized collections.

    returns

      A new immutable sequence which contains the first occurrence of every element of this immutable sequence.

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).distinct

    Definition Classes
      SeqLike → GenSeqLike

34. #### def drop(n: Int): NodeSeq

    Selects all elements except first n ones.

    Selects all elements except first n ones.

    n

      the number of elements to drop from this immutable sequence.

    returns

      a immutable sequence consisting of all elements of this immutable sequence except the first `n` ones, or else the empty immutable sequence, if this immutable sequence has less than `n` elements.

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).drop(n)

    Definition Classes
      IterableLike → TraversableLike → GenTraversableLike

35. #### def dropRight(n: Int): NodeSeq

    Selects all elements except last n ones.

    Selects all elements except last n ones.

    n

      The number of elements to take

    returns

      a immutable sequence consisting of all elements of this immutable sequence except the last `n` ones, or else the empty immutable sequence, if this immutable sequence has less than `n` elements.

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).dropRight(n)

    Definition Classes
      IterableLike

36. #### def dropWhile(p: (Node) ⇒ Boolean): NodeSeq

    Drops longest prefix of elements that satisfy a predicate.

    Drops longest prefix of elements that satisfy a predicate.

    returns

      the longest suffix of this immutable sequence whose first element does not satisfy the predicate `p`.

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).dropWhile(p)

    Definition Classes
      TraversableLike → GenTraversableLike

37. #### def endsWith[B](that: GenSeq[B]): Boolean

    Tests whether this immutable sequence ends with the given sequence.

    Tests whether this immutable sequence ends with the given sequence.

    Note: will not terminate for infinite-sized collections.

    that

      the sequence to test

    returns

      `true` if this immutable sequence has `that` as a suffix, `false` otherwise.

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).endsWith(that)

    Definition Classes
      SeqLike → GenSeqLike

38. #### def equals(other: Any): Boolean

    The universal equality method defined in `AnyRef`.

    The universal equality method defined in `AnyRef`.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).equals(other)

    Definition Classes
      Equality → Equals → AnyRef → Any

39. #### def exists(p: (Node) ⇒ Boolean): Boolean

    Tests whether a predicate holds for some of the elements of this immutable sequence.

    Tests whether a predicate holds for some of the elements of this immutable sequence.

    Note: may not terminate for infinite-sized collections.

    p

      the predicate used to test elements.

    returns

      `true` if the given predicate `p` holds for some of the elements of this immutable sequence, otherwise `false`.

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).exists(p)

    Definition Classes
      IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

40. #### def filter(p: (Node) ⇒ Boolean): NodeSeq

    Selects all elements of this immutable sequence which satisfy a predicate.

    Selects all elements of this immutable sequence which satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      a new immutable sequence consisting of all elements of this immutable sequence that satisfy the given predicate `p`. The order of the elements is preserved.

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).filter(p)

    Definition Classes
      TraversableLike → GenTraversableLike

41. #### def filter(p: (Node) ⇒ Boolean): collection.TraversableOnce[Node]

    Implicit information
      This member is added by an implicit conversion from Text to MonadOps[Node] performed by method MonadOps in scala.collection.TraversableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: MonadOps[Node]).filter(p)

    Definition Classes
      MonadOps

42. #### def filterNot(p: (Node) ⇒ Boolean): NodeSeq

    Selects all elements of this immutable sequence which do not satisfy a predicate.

    Selects all elements of this immutable sequence which do not satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      a new immutable sequence consisting of all elements of this immutable sequence that do not satisfy the given predicate `p`. The order of the elements is preserved.

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).filterNot(p)

    Definition Classes
      TraversableLike → GenTraversableLike

43. #### def find(p: (Node) ⇒ Boolean): Option[Node]

    Finds the first element of the immutable sequence satisfying a predicate, if any.

    Finds the first element of the immutable sequence satisfying a predicate, if any.

    Note: may not terminate for infinite-sized collections.

    p

      the predicate used to test elements.

    returns

      an option value containing the first element in the immutable sequence that satisfies `p`, or `None` if none exists.

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).find(p)

    Definition Classes
      IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

44. #### def flatMap[B](f: (A) ⇒ GenTraversableOnce[B]): immutable.Seq[B]

    [use case] Builds a new collection by applying a function to all elements of this immutable sequence and using the elements of the resulting collections.

    [use case]

    Builds a new collection by applying a function to all elements of this immutable sequence and using the elements of the resulting collections.

    For example:

        def getWords(lines: Seq[String]): Seq[String] = lines flatMap (line => line split "\\W+")

    The type of the resulting collection is guided by the static type of immutable sequence. This might cause unexpected results sometimes. For example:

        // lettersOf will return a Seq[Char] of likely repeated letters, instead of a Set
        def lettersOf(words: Seq[String]) = words flatMap (word => word.toSet)

        // lettersOf will return a Set[Char], not a Seq
        def lettersOf(words: Seq[String]) = words.toSet flatMap (word => word.toSeq)

        // xs will be a an Iterable[Int]
        val xs = Map("a" -> List(11,111), "b" -> List(22,222)).flatMap(_._2)

        // ys will be a Map[Int, Int]
        val ys = Map("a" -> List(1 -> 11,1 -> 111), "b" -> List(2 -> 22,2 -> 222)).flatMap(_._2)

    B

      the element type of the returned collection.

    f

      the function to apply to each element.

    returns

      a new immutable sequence resulting from applying the given collection-valued function `f` to each element of this immutable sequence and concatenating the results.

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).flatMap(f)

    Definition Classes
      TraversableLike → GenTraversableLike → FilterMonadic
    Full Signature

    #### def flatMap[B, That](f: (Node) ⇒ GenTraversableOnce[B])(implicit bf: CanBuildFrom[NodeSeq, B, That]): That

45. #### def flatMap[B](f: (Node) ⇒ GenTraversableOnce[B]): collection.TraversableOnce[B]

    Implicit information
      This member is added by an implicit conversion from Text to MonadOps[Node] performed by method MonadOps in scala.collection.TraversableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: MonadOps[Node]).flatMap(f)

    Definition Classes
      MonadOps

46. #### def flatten[B]: immutable.Seq[B]

    [use case] Converts this immutable sequence of traversable collections into a immutable sequence formed by the elements of these traversable collections.

    [use case]

    Converts this immutable sequence of traversable collections into a immutable sequence formed by the elements of these traversable collections.

    The resulting collection's type will be guided by the static type of immutable sequence. For example:

        val xs = List(Set(1, 2, 3), Set(1, 2, 3))
        // xs == List(1, 2, 3, 1, 2, 3)

        val ys = Set(List(1, 2, 3), List(3, 2, 1))
        // ys == Set(1, 2, 3)

    B

      the type of the elements of each traversable collection.

    returns

      a new immutable sequence resulting from concatenating all element immutable sequences.

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).flatten

    Definition Classes
      GenericTraversableTemplate
    Full Signature

    #### def flatten[B](implicit asTraversable: (Node) ⇒ GenTraversableOnce[B]): collection.immutable.Seq[B]

47. #### def flatten: collection.Iterator[Node]

    Implicit information
      This member is added by an implicit conversion from Text to FlattenOps[Node] performed by method flattenTraversableOnce in scala.collection.TraversableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: FlattenOps[Node]).flatten

    Definition Classes
      FlattenOps

48. #### def fold[A1 >: Node](z: A1)(op: (A1, A1) ⇒ A1): A1

    Folds the elements of this immutable sequence using the specified associative binary operator.

    Folds the elements of this immutable sequence using the specified associative binary operator.

    The order in which operations are performed on elements is unspecified and may be nondeterministic.

    A1

      a type parameter for the binary operator, a supertype of `A`.

    z

      a neutral element for the fold operation; may be added to the result an arbitrary number of times, and must not change the result (e.g., `Nil` for list concatenation, 0 for addition, or 1 for multiplication.)

    op

      a binary operator that must be associative

    returns

      the result of applying fold operator `op` between all the elements and `z`

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).fold(z)(op)

    Definition Classes
      TraversableOnce → GenTraversableOnce

49. #### def foldLeft[B](z: B)(op: (B, Node) ⇒ B): B

    Applies a binary operator to a start value and all elements of this immutable sequence, going left to right.

    Applies a binary operator to a start value and all elements of this immutable sequence, going left to right.

    Note: will not terminate for infinite-sized collections.

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this immutable sequence, going left to right with the start value `z` on the left:

          op(...op(z, x_1), x_2, ..., x_n)

      where `x1, ..., xn` are the elements of this immutable sequence.

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).foldLeft(z)(op)

    Definition Classes
      TraversableOnce → GenTraversableOnce

50. #### def foldRight[B](z: B)(op: (Node, B) ⇒ B): B

    Applies a binary operator to all elements of this immutable sequence and a start value, going right to left.

    Applies a binary operator to all elements of this immutable sequence and a start value, going right to left.

    Note: will not terminate for infinite-sized collections.

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this immutable sequence, going right to left with the start value `z` on the right:

          op(x_1, op(x_2, ... op(x_n, z)...))

      where `x1, ..., xn` are the elements of this immutable sequence.

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).foldRight(z)(op)

    Definition Classes
      IterableLike → TraversableOnce → GenTraversableOnce

51. #### def forall(p: (Node) ⇒ Boolean): Boolean

    Tests whether a predicate holds for all elements of this immutable sequence.

    Tests whether a predicate holds for all elements of this immutable sequence.

    Note: may not terminate for infinite-sized collections.

    p

      the predicate used to test elements.

    returns

      `true` if the given predicate `p` holds for all elements of this immutable sequence, otherwise `false`.

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).forall(p)

    Definition Classes
      IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

52. #### def foreach(f: (Node) ⇒ Unit): Unit

    [use case] Applies a function `f` to all elements of this immutable sequence.

    [use case]

    Applies a function `f` to all elements of this immutable sequence.

    Note: this method underlies the implementation of most other bulk operations. Subclasses should re-implement this method if a more efficient implementation exists.

    f

      the function that is applied for its side-effect to every element. The result of function `f` is discarded.

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).foreach(f)

    Definition Classes
      IterableLike → TraversableLike → GenTraversableLike → TraversableOnce → GenTraversableOnce → FilterMonadic
    Full Signature

    #### def foreach[U](f: (Node) ⇒ U): Unit

53. #### def genericBuilder[B]: Builder[B, collection.immutable.Seq[B]]

    The generic builder that builds instances of `immutable.Seq` at arbitrary element types.

    The generic builder that builds instances of `immutable.Seq` at arbitrary element types.

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).genericBuilder

    Definition Classes
      GenericTraversableTemplate

54. #### def groupBy[K](f: (Node) ⇒ K): Map[K, NodeSeq]

    Partitions this immutable sequence into a map of immutable sequences according to some discriminator function.

    Partitions this immutable sequence into a map of immutable sequences according to some discriminator function.

    Note: this method is not re-implemented by views. This means when applied to a view it will always force the view and return a new immutable sequence.

    K

      the type of keys returned by the discriminator function.

    f

      the discriminator function.

    returns

      A map from keys to immutable sequences such that the following invariant holds:

          (xs partition f)(k) = xs filter (x => f(x) == k)

      That is, every key `k` is bound to a immutable sequence of those elements `x` for which `f(x)` equals `k`.

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).groupBy(f)

    Definition Classes
      TraversableLike → GenTraversableLike

55. #### def grouped(size: Int): collection.Iterator[NodeSeq]

    Partitions elements in fixed size immutable sequences.

    Partitions elements in fixed size immutable sequences.

    size

      the number of elements per group

    returns

      An iterator producing immutable sequences of size `size`, except the last will be truncated if the elements don't divide evenly.

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).grouped(size)

    Definition Classes
      IterableLike
    See also

      scala.collection.Iterator, method `grouped`

56. #### def hasDefiniteSize: Boolean

    Tests whether this immutable sequence is known to have a finite size.

    Tests whether this immutable sequence is known to have a finite size. All strict collections are known to have finite size. For a non-strict collection such as `Stream`, the predicate returns `true` if all elements have been computed. It returns `false` if the stream is not yet evaluated to the end.

    Note: many collection methods will not work on collections of infinite sizes.

    returns

      `true` if this collection is known to have finite size, `false` otherwise.

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).hasDefiniteSize

    Definition Classes
      TraversableLike → TraversableOnce → GenTraversableOnce

57. #### def hashCode(): Int

    It's be nice to make these final, but there are probably people out there subclassing the XML types, especially when it comes to equals.

    It's be nice to make these final, but there are probably people out there subclassing the XML types, especially when it comes to equals. However WE at least can pretend they are final since clearly individual classes cannot be trusted to maintain a semblance of order.

    returns

      the hash code value for this object.

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).hashCode()

    Definition Classes
      Equality → AnyRef → Any

58. #### def head: Node

    Selects the first element of this immutable sequence.

    Selects the first element of this immutable sequence.

    returns

      the first element of this immutable sequence.

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).head

    Definition Classes
      IterableLike → TraversableLike → GenTraversableLike
    Exceptions thrown
      `NoSuchElementException`

      if the immutable sequence is empty.

59. #### def headOption: Option[Node]

    Optionally selects the first element.

    Optionally selects the first element.

    returns

      the first element of this immutable sequence if it is nonempty, `None` if it is empty.

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).headOption

    Definition Classes
      TraversableLike → GenTraversableLike

60. #### def indexOf(elem: Node, from: Int): Int

    [use case] Finds index of first occurrence of some value in this immutable sequence after or at some start index.

    [use case]

    Finds index of first occurrence of some value in this immutable sequence after or at some start index.

    Note: may not terminate for infinite-sized collections.

    elem

      the element value to search for.

    from

      the start index

    returns

      the index `>= from` of the first element of this immutable sequence that is equal (as determined by `==`) to `elem`, or `-1`, if none exists.

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).indexOf(elem, from)

    Definition Classes
      GenSeqLike
    Full Signature

    #### def indexOf[B >: Node](elem: B, from: Int): Int

61. #### def indexOf(elem: Node): Int

    [use case] Finds index of first occurrence of some value in this immutable sequence.

    [use case]

    Finds index of first occurrence of some value in this immutable sequence.

    Note: may not terminate for infinite-sized collections.

    elem

      the element value to search for.

    returns

      the index of the first element of this immutable sequence that is equal (as determined by `==`) to `elem`, or `-1`, if none exists.

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).indexOf(elem)

    Definition Classes
      GenSeqLike
    Full Signature

    #### def indexOf[B >: Node](elem: B): Int

62. #### def indexOfSlice[B >: Node](that: GenSeq[B], from: Int): Int

    Finds first index after or at a start index where this immutable sequence contains a given sequence as a slice.

    Finds first index after or at a start index where this immutable sequence contains a given sequence as a slice.

    Note: may not terminate for infinite-sized collections.

    that

      the sequence to test

    from

      the start index

    returns

      the first index `>= from` such that the elements of this immutable sequence starting at this index match the elements of sequence `that`, or `-1` of no such subsequence exists.

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).indexOfSlice(that, from)

    Definition Classes
      SeqLike

63. #### def indexOfSlice[B >: Node](that: GenSeq[B]): Int

    Finds first index where this immutable sequence contains a given sequence as a slice.

    Finds first index where this immutable sequence contains a given sequence as a slice.

    Note: may not terminate for infinite-sized collections.

    that

      the sequence to test

    returns

      the first index such that the elements of this immutable sequence starting at this index match the elements of sequence `that`, or `-1` of no such subsequence exists.

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).indexOfSlice(that)

    Definition Classes
      SeqLike

64. #### def indexWhere(p: (Node) ⇒ Boolean, from: Int): Int

    Finds index of the first element satisfying some predicate after or at some start index.

    Finds index of the first element satisfying some predicate after or at some start index.

    Note: may not terminate for infinite-sized collections.

    p

      the predicate used to test elements.

    from

      the start index

    returns

      the index `>= from` of the first element of this immutable sequence that satisfies the predicate `p`, or `-1`, if none exists.

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).indexWhere(p, from)

    Definition Classes
      SeqLike → GenSeqLike

65. #### def indexWhere(p: (Node) ⇒ Boolean): Int

    Finds index of first element satisfying some predicate.

    Finds index of first element satisfying some predicate.

    Note: may not terminate for infinite-sized collections.

    p

      the predicate used to test elements.

    returns

      the index of the first element of this immutable sequence that satisfies the predicate `p`, or `-1`, if none exists.

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).indexWhere(p)

    Definition Classes
      GenSeqLike

66. #### def indices: collection.immutable.Range

    Produces the range of all indices of this sequence.

    Produces the range of all indices of this sequence.

    returns

      a `Range` value from `0` to one less than the length of this immutable sequence.

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).indices

    Definition Classes
      SeqLike

67. #### def init: NodeSeq

    Selects all elements except the last.

    Selects all elements except the last.

    returns

      a immutable sequence consisting of all elements of this immutable sequence except the last one.

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).init

    Definition Classes
      TraversableLike → GenTraversableLike
    Exceptions thrown
      `UnsupportedOperationException`

      if the immutable sequence is empty.

68. #### def inits: collection.Iterator[NodeSeq]

    Iterates over the inits of this immutable sequence.

    Iterates over the inits of this immutable sequence. The first value will be this immutable sequence and the final one will be an empty immutable sequence, with the intervening values the results of successive applications of `init`.

    returns

      an iterator over all the inits of this immutable sequence

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).inits

    Definition Classes
      TraversableLike
    Example:

    1. `List(1,2,3).inits = Iterator(List(1,2,3), List(1,2), List(1), Nil)`

69. #### def intersect(that: collection.Seq[Node]): immutable.Seq[Node]

    [use case] Computes the multiset intersection between this immutable sequence and another sequence.

    [use case]

    Computes the multiset intersection between this immutable sequence and another sequence.

    Note: may not terminate for infinite-sized collections.

    that

      the sequence of elements to intersect with.

    returns

      a new immutable sequence which contains all elements of this immutable sequence which also appear in `that`. If an element value `x` appears n times in `that`, then the first n occurrences of `x` will be retained in the result, but any following occurrences will be omitted.

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).intersect(that)

    Definition Classes
      SeqLike → GenSeqLike
    Full Signature

    #### def intersect[B >: Node](that: GenSeq[B]): NodeSeq

70. #### def isDefinedAt(idx: Int): Boolean

    Tests whether this immutable sequence contains given index.

    Tests whether this immutable sequence contains given index.

    The implementations of methods `apply` and `isDefinedAt` turn a `Seq[A]` into a `PartialFunction[Int, A]`.

    idx

      the index to test

    returns

      `true` if this immutable sequence contains an element at position `idx`, `false` otherwise.

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).isDefinedAt(idx)

    Definition Classes
      GenSeqLike

71. #### def isEmpty: Boolean

    Tests whether this immutable sequence is empty.

    Tests whether this immutable sequence is empty.

    returns

      `true` if the immutable sequence contain no elements, `false` otherwise.

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).isEmpty

    Definition Classes
      SeqLike → IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

72. #### final def isTraversableAgain: Boolean

    Tests whether this immutable sequence can be repeatedly traversed.

    Tests whether this immutable sequence can be repeatedly traversed.

    returns

      `true`

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).isTraversableAgain

    Definition Classes
      TraversableLike → GenTraversableLike → GenTraversableOnce

73. #### def iterator: collection.Iterator[Node]

    Creates a new iterator over all elements contained in this iterable object.

    Creates a new iterator over all elements contained in this iterable object.

    returns

      the new iterator

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).iterator

    Definition Classes
      NodeSeq → IterableLike → GenIterableLike

74. #### def last: Node

    Selects the last element.

    Selects the last element.

    returns

      The last element of this immutable sequence.

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).last

    Definition Classes
      TraversableLike → GenTraversableLike
    Exceptions thrown
      NoSuchElementException

      If the immutable sequence is empty.

75. #### def lastIndexOf(elem: Node, end: Int): Int

    [use case] Finds index of last occurrence of some value in this immutable sequence before or at a given end index.

    [use case]

    Finds index of last occurrence of some value in this immutable sequence before or at a given end index.

    elem

      the element value to search for.

    end

      the end index.

    returns

      the index `<= end` of the last element of this immutable sequence that is equal (as determined by `==`) to `elem`, or `-1`, if none exists.

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).lastIndexOf(elem, end)

    Definition Classes
      GenSeqLike
    Full Signature

    #### def lastIndexOf[B >: Node](elem: B, end: Int): Int

76. #### def lastIndexOf(elem: Node): Int

    [use case] Finds index of last occurrence of some value in this immutable sequence.

    [use case]

    Finds index of last occurrence of some value in this immutable sequence.

    Note: will not terminate for infinite-sized collections.

    elem

      the element value to search for.

    returns

      the index of the last element of this immutable sequence that is equal (as determined by `==`) to `elem`, or `-1`, if none exists.

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).lastIndexOf(elem)

    Definition Classes
      GenSeqLike
    Full Signature

    #### def lastIndexOf[B >: Node](elem: B): Int

77. #### def lastIndexOfSlice[B >: Node](that: GenSeq[B], end: Int): Int

    Finds last index before or at a given end index where this immutable sequence contains a given sequence as a slice.

    Finds last index before or at a given end index where this immutable sequence contains a given sequence as a slice.

    that

      the sequence to test

    end

      the end index

    returns

      the last index `<= end` such that the elements of this immutable sequence starting at this index match the elements of sequence `that`, or `-1` of no such subsequence exists.

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).lastIndexOfSlice(that, end)

    Definition Classes
      SeqLike

78. #### def lastIndexOfSlice[B >: Node](that: GenSeq[B]): Int

    Finds last index where this immutable sequence contains a given sequence as a slice.

    Finds last index where this immutable sequence contains a given sequence as a slice.

    Note: will not terminate for infinite-sized collections.

    that

      the sequence to test

    returns

      the last index such that the elements of this immutable sequence starting a this index match the elements of sequence `that`, or `-1` of no such subsequence exists.

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).lastIndexOfSlice(that)

    Definition Classes
      SeqLike

79. #### def lastIndexWhere(p: (Node) ⇒ Boolean, end: Int): Int

    Finds index of last element satisfying some predicate before or at given end index.

    Finds index of last element satisfying some predicate before or at given end index.

    p

      the predicate used to test elements.

    returns

      the index `<= end` of the last element of this immutable sequence that satisfies the predicate `p`, or `-1`, if none exists.

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).lastIndexWhere(p, end)

    Definition Classes
      SeqLike → GenSeqLike

80. #### def lastIndexWhere(p: (Node) ⇒ Boolean): Int

    Finds index of last element satisfying some predicate.

    Finds index of last element satisfying some predicate.

    Note: will not terminate for infinite-sized collections.

    p

      the predicate used to test elements.

    returns

      the index of the last element of this immutable sequence that satisfies the predicate `p`, or `-1`, if none exists.

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).lastIndexWhere(p)

    Definition Classes
      GenSeqLike

81. #### def lastOption: Option[Node]

    Optionally selects the last element.

    Optionally selects the last element.

    returns

      the last element of this immutable sequence$ if it is nonempty, `None` if it is empty.

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).lastOption

    Definition Classes
      TraversableLike → GenTraversableLike

82. #### def length: Int

    The length of the immutable sequence.

    The length of the immutable sequence.

    Note: will not terminate for infinite-sized collections.

    Note: `xs.length` and `xs.size` yield the same result.

    returns

      the number of elements in this immutable sequence.

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).length

    Definition Classes
      NodeSeq → SeqLike → GenSeqLike

83. #### def lengthCompare(len: Int): Int

    Compares the length of this immutable sequence to a test value.

    Compares the length of this immutable sequence to a test value.

    len

      the test value that gets compared with the length.

    returns

      A value `x` where

          x <  0       if this.length <  len
          x == 0       if this.length == len
          x >  0       if this.length >  len

      The method as implemented here does not call `length` directly; its running time is `O(length min len)` instead of `O(length)`. The method should be overwritten if computing `length` is cheap.

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).lengthCompare(len)

    Definition Classes
      SeqLike

84. #### def lift: (Int) ⇒ Option[Node]

    Turns this partial function into a plain function returning an `Option` result.

    Turns this partial function into a plain function returning an `Option` result.

    returns

      a function that takes an argument `x` to `Some(this(x))` if `this` is defined for `x`, and to `None` otherwise.

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).lift

    Definition Classes
      PartialFunction
    See also

      Function.unlift

85. #### def map[B](f: (A) ⇒ B): immutable.Seq[B]

    [use case] Builds a new collection by applying a function to all elements of this immutable sequence.

    [use case]

    Builds a new collection by applying a function to all elements of this immutable sequence.

    B

      the element type of the returned collection.

    f

      the function to apply to each element.

    returns

      a new immutable sequence resulting from applying the given function `f` to each element of this immutable sequence and collecting the results.

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).map(f)

    Definition Classes
      TraversableLike → GenTraversableLike → FilterMonadic
    Full Signature

    #### def map[B, That](f: (Node) ⇒ B)(implicit bf: CanBuildFrom[NodeSeq, B, That]): That

86. #### def map[B](f: (Node) ⇒ B): collection.TraversableOnce[B]

    Implicit information
      This member is added by an implicit conversion from Text to MonadOps[Node] performed by method MonadOps in scala.collection.TraversableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: MonadOps[Node]).map(f)

    Definition Classes
      MonadOps

87. #### def max: A

    [use case] Finds the largest element.

    [use case]

    Finds the largest element.

    returns

      the largest element of this immutable sequence.

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).max

    Definition Classes
      TraversableOnce → GenTraversableOnce
    Full Signature

    #### def max[B >: Node](implicit cmp: Ordering[B]): Node

88. #### def maxBy[B](f: (Node) ⇒ B)(implicit cmp: Ordering[B]): Node

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).maxBy(f)(cmp)

    Definition Classes
      TraversableOnce → GenTraversableOnce

89. #### def min: A

    [use case] Finds the smallest element.

    [use case]

    Finds the smallest element.

    returns

      the smallest element of this immutable sequence

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).min

    Definition Classes
      TraversableOnce → GenTraversableOnce
    Full Signature

    #### def min[B >: Node](implicit cmp: Ordering[B]): Node

90. #### def minBy[B](f: (Node) ⇒ B)(implicit cmp: Ordering[B]): Node

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).minBy(f)(cmp)

    Definition Classes
      TraversableOnce → GenTraversableOnce

91. #### def mkString: String

    Displays all elements of this immutable sequence in a string.

    Displays all elements of this immutable sequence in a string.

    returns

      a string representation of this immutable sequence. In the resulting string the string representations (w.r.t. the method `toString`) of all elements of this immutable sequence follow each other without any separator string.

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).mkString

    Definition Classes
      TraversableOnce → GenTraversableOnce

92. #### def mkString(sep: String): String

    Displays all elements of this immutable sequence in a string using a separator string.

    Displays all elements of this immutable sequence in a string using a separator string.

    sep

      the separator string.

    returns

      a string representation of this immutable sequence. In the resulting string the string representations (w.r.t. the method `toString`) of all elements of this immutable sequence are separated by the string `sep`.

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).mkString(sep)

    Definition Classes
      TraversableOnce → GenTraversableOnce
    Example:

    1. `List(1, 2, 3).mkString("|") = "1|2|3"`

93. #### def mkString(start: String, sep: String, end: String): String

    Displays all elements of this immutable sequence in a string using start, end, and separator strings.

    Displays all elements of this immutable sequence in a string using start, end, and separator strings.

    start

      the starting string.

    sep

      the separator string.

    end

      the ending string.

    returns

      a string representation of this immutable sequence. The resulting string begins with the string `start` and ends with the string `end`. Inside, the string representations (w.r.t. the method `toString`) of all elements of this immutable sequence are separated by the string `sep`.

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).mkString(start, sep, end)

    Definition Classes
      TraversableOnce → GenTraversableOnce
    Example:

    1. `List(1, 2, 3).mkString("(", "; ", ")") = "(1; 2; 3)"`

94. #### def nonEmpty: Boolean

    Tests whether the immutable sequence is not empty.

    Tests whether the immutable sequence is not empty.

    returns

      `true` if the immutable sequence contains at least one element, `false` otherwise.

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).nonEmpty

    Definition Classes
      TraversableOnce → GenTraversableOnce

95. #### def orElse[A1 <: Int, B1 >: Node](that: PartialFunction[A1, B1]): PartialFunction[A1, B1]

    Composes this partial function with a fallback partial function which gets applied where this partial function is not defined.

    Composes this partial function with a fallback partial function which gets applied where this partial function is not defined.

    A1

      the argument type of the fallback function

    B1

      the result type of the fallback function

    that

      the fallback function

    returns

      a partial function which has as domain the union of the domains of this partial function and `that`. The resulting partial function takes `x` to `this(x)` where `this` is defined, and to `that(x)` where it is not.

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).orElse(that)

    Definition Classes
      PartialFunction

96. #### def padTo(len: Int, elem: A): immutable.Seq[A]

    [use case] A copy of this immutable sequence with an element value appended until a given target length is reached.

    [use case]

    A copy of this immutable sequence with an element value appended until a given target length is reached.

    len

      the target length

    elem

      the padding value

    returns

      a new immutable sequence consisting of all elements of this immutable sequence followed by the minimal number of occurrences of `elem` so that the resulting immutable sequence has a length of at least `len`.

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).padTo(len, elem)

    Definition Classes
      SeqLike → GenSeqLike
    Full Signature

    #### def padTo[B >: Node, That](len: Int, elem: B)(implicit bf: CanBuildFrom[NodeSeq, B, That]): That

97. #### def par: ParSeq[Node]

    Returns a parallel implementation of this collection.

    Returns a parallel implementation of this collection.

    For most collection types, this method creates a new parallel collection by copying all the elements. For these collection, `par` takes linear time. Mutable collections in this category do not produce a mutable parallel collection that has the same underlying dataset, so changes in one collection will not be reflected in the other one.

    Specific collections (e.g. `ParArray` or `mutable.ParHashMap`) override this default behaviour by creating a parallel collection which shares the same underlying dataset. For these collections, `par` takes constant or sublinear time.

    All parallel collections return a reference to themselves.

    returns

      a parallel implementation of this collection

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).par

    Definition Classes
      Parallelizable

98. #### def partition(p: (Node) ⇒ Boolean): (NodeSeq, NodeSeq)

    Partitions this immutable sequence in two immutable sequences according to a predicate.

    Partitions this immutable sequence in two immutable sequences according to a predicate.

    p

      the predicate on which to partition.

    returns

      a pair of immutable sequences: the first immutable sequence consists of all elements that satisfy the predicate `p` and the second immutable sequence consists of all elements that don't. The relative order of the elements in the resulting immutable sequences is the same as in the original immutable sequence.

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).partition(p)

    Definition Classes
      TraversableLike → GenTraversableLike

99. #### def patch(from: Int, that: GenSeq[A], replaced: Int): immutable.Seq[A]

    [use case] Produces a new immutable sequence where a slice of elements in this immutable sequence is replaced by another sequence.

    [use case]

    Produces a new immutable sequence where a slice of elements in this immutable sequence is replaced by another sequence.

    from

      the index of the first replaced element

    replaced

      the number of elements to drop in the original immutable sequence

    returns

      a new immutable sequence consisting of all elements of this immutable sequence except that `replaced` elements starting from `from` are replaced by `patch`.

    Implicit information
      This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (text: NodeSeq).patch(from, that, replaced)

    Definition Classes
      SeqLike → GenSeqLike
    Full Signature

    #### def patch[B >: Node, That](from: Int, patch: GenSeq[B], replaced: Int)(implicit bf: CanBuildFrom[NodeSeq, B, That]): That

100. #### def permutations: collection.Iterator[NodeSeq]

     Iterates over distinct permutations.

     Iterates over distinct permutations.

     returns

       An Iterator which traverses the distinct permutations of this immutable sequence.

     Implicit information
       This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
     Shadowing
       This implicitly inherited member is shadowed by one or more members in this class.
       To access this member you can use a type ascription:

           (text: NodeSeq).permutations

     Definition Classes
       SeqLike
     Example:

     1. `"abb".permutations = Iterator(abb, bab, bba)`

101. #### def prefixLength(p: (Node) ⇒ Boolean): Int

     Returns the length of the longest prefix whose elements all satisfy some predicate.

     Returns the length of the longest prefix whose elements all satisfy some predicate.

     Note: may not terminate for infinite-sized collections.

     p

       the predicate used to test elements.

     returns

       the length of the longest prefix of this immutable sequence such that every element of the segment satisfies the predicate `p`.

     Implicit information
       This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
     Shadowing
       This implicitly inherited member is shadowed by one or more members in this class.
       To access this member you can use a type ascription:

           (text: NodeSeq).prefixLength(p)

     Definition Classes
       GenSeqLike

102. #### def product: A

     [use case] Multiplies up the elements of this collection.

     [use case]

     Multiplies up the elements of this collection.

     returns

       the product of all elements in this immutable sequence of numbers of type `Int`. Instead of `Int`, any other type `T` with an implicit `Numeric[T]` implementation can be used as element type of the immutable sequence and as result type of `product`. Examples of such types are: `Long`, `Float`, `Double`, `BigInt`.

     Implicit information
       This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
     Shadowing
       This implicitly inherited member is shadowed by one or more members in this class.
       To access this member you can use a type ascription:

           (text: NodeSeq).product

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def product[B >: Node](implicit num: Numeric[B]): B

103. #### def reduce[A1 >: Node](op: (A1, A1) ⇒ A1): A1

     Reduces the elements of this immutable sequence using the specified associative binary operator.

     Reduces the elements of this immutable sequence using the specified associative binary operator.

     The order in which operations are performed on elements is unspecified and may be nondeterministic.

     A1

       A type parameter for the binary operator, a supertype of `A`.

     op

       A binary operator that must be associative.

     returns

       The result of applying reduce operator `op` between all the elements if the immutable sequence is nonempty.

     Implicit information
       This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
     Shadowing
       This implicitly inherited member is shadowed by one or more members in this class.
       To access this member you can use a type ascription:

           (text: NodeSeq).reduce(op)

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Exceptions thrown
       UnsupportedOperationException

       if this immutable sequence is empty.

104. #### def reduceLeft[B >: Node](op: (B, Node) ⇒ B): B

     Applies a binary operator to all elements of this immutable sequence, going left to right.

     Applies a binary operator to all elements of this immutable sequence, going left to right.

     Note: will not terminate for infinite-sized collections.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       the result of inserting `op` between consecutive elements of this immutable sequence, going left to right:

           op( op( ... op(x_1, x_2) ..., x_{n-1}), x_n)

       where `x1, ..., xn` are the elements of this immutable sequence.

     Implicit information
       This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
     Shadowing
       This implicitly inherited member is shadowed by one or more members in this class.
       To access this member you can use a type ascription:

           (text: NodeSeq).reduceLeft(op)

     Definition Classes
       TraversableOnce
     Exceptions thrown
       `UnsupportedOperationException`

       if this immutable sequence is empty.

105. #### def reduceLeftOption[B >: Node](op: (B, Node) ⇒ B): Option[B]

     Optionally applies a binary operator to all elements of this immutable sequence, going left to right.

     Optionally applies a binary operator to all elements of this immutable sequence, going left to right.

     Note: will not terminate for infinite-sized collections.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       an option value containing the result of `reduceLeft(op)` is this immutable sequence is nonempty, `None` otherwise.

     Implicit information
       This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
     Shadowing
       This implicitly inherited member is shadowed by one or more members in this class.
       To access this member you can use a type ascription:

           (text: NodeSeq).reduceLeftOption(op)

     Definition Classes
       TraversableOnce → GenTraversableOnce

106. #### def reduceOption[A1 >: Node](op: (A1, A1) ⇒ A1): Option[A1]

     Reduces the elements of this immutable sequence, if any, using the specified associative binary operator.

     Reduces the elements of this immutable sequence, if any, using the specified associative binary operator.

     The order in which operations are performed on elements is unspecified and may be nondeterministic.

     A1

       A type parameter for the binary operator, a supertype of `A`.

     op

       A binary operator that must be associative.

     returns

       An option value containing result of applying reduce operator `op` between all the elements if the collection is nonempty, and `None` otherwise.

     Implicit information
       This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
     Shadowing
       This implicitly inherited member is shadowed by one or more members in this class.
       To access this member you can use a type ascription:

           (text: NodeSeq).reduceOption(op)

     Definition Classes
       TraversableOnce → GenTraversableOnce

107. #### def reduceRight[B >: Node](op: (Node, B) ⇒ B): B

     Applies a binary operator to all elements of this immutable sequence, going right to left.

     Applies a binary operator to all elements of this immutable sequence, going right to left.

     Note: will not terminate for infinite-sized collections.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       the result of inserting `op` between consecutive elements of this immutable sequence, going right to left:

           op(x_1, op(x_2, ..., op(x_{n-1}, x_n)...))

       where `x1, ..., xn` are the elements of this immutable sequence.

     Implicit information
       This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
     Shadowing
       This implicitly inherited member is shadowed by one or more members in this class.
       To access this member you can use a type ascription:

           (text: NodeSeq).reduceRight(op)

     Definition Classes
       IterableLike → TraversableOnce → GenTraversableOnce
     Exceptions thrown
       `UnsupportedOperationException`

       if this immutable sequence is empty.

108. #### def reduceRightOption[B >: Node](op: (Node, B) ⇒ B): Option[B]

     Optionally applies a binary operator to all elements of this immutable sequence, going right to left.

     Optionally applies a binary operator to all elements of this immutable sequence, going right to left.

     Note: will not terminate for infinite-sized collections.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       an option value containing the result of `reduceRight(op)` is this immutable sequence is nonempty, `None` otherwise.

     Implicit information
       This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
     Shadowing
       This implicitly inherited member is shadowed by one or more members in this class.
       To access this member you can use a type ascription:

           (text: NodeSeq).reduceRightOption(op)

     Definition Classes
       TraversableOnce → GenTraversableOnce

109. #### def repr: NodeSeq

     The collection of type immutable sequence underlying this `TraversableLike` object.

     The collection of type immutable sequence underlying this `TraversableLike` object. By default this is implemented as the `TraversableLike` object itself, but this can be overridden.

     Implicit information
       This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
     Shadowing
       This implicitly inherited member is shadowed by one or more members in this class.
       To access this member you can use a type ascription:

           (text: NodeSeq).repr

     Definition Classes
       TraversableLike → GenTraversableLike

110. #### def reverse: NodeSeq

     Returns new immutable sequence wih elements in reversed order.

     Returns new immutable sequence wih elements in reversed order.

     Note: will not terminate for infinite-sized collections.

     returns

       A new immutable sequence with all elements of this immutable sequence in reversed order.

     Implicit information
       This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
     Shadowing
       This implicitly inherited member is shadowed by one or more members in this class.
       To access this member you can use a type ascription:

           (text: NodeSeq).reverse

     Definition Classes
       SeqLike → GenSeqLike

111. #### def reverseIterator: collection.Iterator[Node]

     An iterator yielding elements in reversed order.

     An iterator yielding elements in reversed order.

     Note: will not terminate for infinite-sized collections.

     Note: `xs.reverseIterator` is the same as `xs.reverse.iterator` but might be more efficient.

     returns

       an iterator yielding the elements of this immutable sequence in reversed order

     Implicit information
       This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
     Shadowing
       This implicitly inherited member is shadowed by one or more members in this class.
       To access this member you can use a type ascription:

           (text: NodeSeq).reverseIterator

     Definition Classes
       SeqLike

112. #### def reverseMap[B](f: (A) ⇒ B): immutable.Seq[B]

     [use case] Builds a new collection by applying a function to all elements of this immutable sequence and collecting the results in reversed order.

     [use case]

     Builds a new collection by applying a function to all elements of this immutable sequence and collecting the results in reversed order.

     Note: will not terminate for infinite-sized collections.

     Note: `xs.reverseMap(f)` is the same as `xs.reverse.map(f)` but might be more efficient.

     B

       the element type of the returned collection.

     f

       the function to apply to each element.

     returns

       a new immutable sequence resulting from applying the given function `f` to each element of this immutable sequence and collecting the results in reversed order.

     Implicit information
       This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
     Shadowing
       This implicitly inherited member is shadowed by one or more members in this class.
       To access this member you can use a type ascription:

           (text: NodeSeq).reverseMap(f)

     Definition Classes
       SeqLike → GenSeqLike
     Full Signature

     #### def reverseMap[B, That](f: (Node) ⇒ B)(implicit bf: CanBuildFrom[NodeSeq, B, That]): That

113. #### def runWith[U](action: (Node) ⇒ U): (Int) ⇒ Boolean

     Composes this partial function with an action function which gets applied to results of this partial function.

     Composes this partial function with an action function which gets applied to results of this partial function. The action function is invoked only for its side effects; its result is ignored.

     Note that expression `pf.runWith(action)(x)` is equivalent to

         if(pf isDefinedAt x) { action(pf(x)); true } else false

     except that `runWith` is implemented via `applyOrElse` and thus potentially more efficient. Using `runWith` avoids double evaluation of pattern matchers and guards for partial function literals.

     action

       the action function

     returns

       a function which maps arguments `x` to `isDefinedAt(x)`. The resulting function runs `action(this(x))` where `this` is defined.

     Implicit information
       This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
     Shadowing
       This implicitly inherited member is shadowed by one or more members in this class.
       To access this member you can use a type ascription:

           (text: NodeSeq).runWith(action)

     Definition Classes
       PartialFunction
     Since

       2.10

     See also

       `applyOrElse`.

114. #### def sameElements(that: GenIterable[A]): Boolean

     [use case] Checks if the other iterable collection contains the same elements in the same order as this immutable sequence.

     [use case]

     Checks if the other iterable collection contains the same elements in the same order as this immutable sequence.

     Note: will not terminate for infinite-sized collections.

     that

       the collection to compare with.

     returns

       `true`, if both collections contain the same elements in the same order, `false` otherwise.

     Implicit information
       This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
     Shadowing
       This implicitly inherited member is shadowed by one or more members in this class.
       To access this member you can use a type ascription:

           (text: NodeSeq).sameElements(that)

     Definition Classes
       IterableLike → GenIterableLike
     Full Signature

     #### def sameElements[B >: Node](that: GenIterable[B]): Boolean

115. #### def scan[B >: Node, That](z: B)(op: (B, B) ⇒ B)(implicit cbf: CanBuildFrom[NodeSeq, B, That]): That

     Computes a prefix scan of the elements of the collection.

     Computes a prefix scan of the elements of the collection.

     Note: The neutral element `z` may be applied more than once.

     B

       element type of the resulting collection

     That

       type of the resulting collection

     z

       neutral element for the operator `op`

     op

       the associative operator for the scan

     cbf

       combiner factory which provides a combiner

     returns

       a new immutable sequence containing the prefix scan of the elements in this immutable sequence

     Implicit information
       This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
     Shadowing
       This implicitly inherited member is shadowed by one or more members in this class.
       To access this member you can use a type ascription:

           (text: NodeSeq).scan(z)(op)(cbf)

     Definition Classes
       TraversableLike → GenTraversableLike

116. #### def scanLeft[B, That](z: B)(op: (B, Node) ⇒ B)(implicit bf: CanBuildFrom[NodeSeq, B, That]): That

     Produces a collection containing cumulative results of applying the operator going left to right.

     Produces a collection containing cumulative results of applying the operator going left to right.

     Note: will not terminate for infinite-sized collections.

     B

       the type of the elements in the resulting collection

     That

       the actual type of the resulting collection

     z

       the initial value

     op

       the binary operator applied to the intermediate result and the element

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

     returns

       collection with intermediate results

     Implicit information
       This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
     Shadowing
       This implicitly inherited member is shadowed by one or more members in this class.
       To access this member you can use a type ascription:

           (text: NodeSeq).scanLeft(z)(op)(bf)

     Definition Classes
       TraversableLike → GenTraversableLike

117. #### def scanRight[B, That](z: B)(op: (Node, B) ⇒ B)(implicit bf: CanBuildFrom[NodeSeq, B, That]): That

     Produces a collection containing cumulative results of applying the operator going right to left.

     Produces a collection containing cumulative results of applying the operator going right to left. The head of the collection is the last cumulative result.

     Note: will not terminate for infinite-sized collections.

     Example:

         List(1, 2, 3, 4).scanRight(0)(_ + _) == List(10, 9, 7, 4, 0)

     B

       the type of the elements in the resulting collection

     That

       the actual type of the resulting collection

     z

       the initial value

     op

       the binary operator applied to the intermediate result and the element

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

     returns

       collection with intermediate results

     Implicit information
       This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
     Shadowing
       This implicitly inherited member is shadowed by one or more members in this class.
       To access this member you can use a type ascription:

           (text: NodeSeq).scanRight(z)(op)(bf)

     Definition Classes
       TraversableLike → GenTraversableLike
     Annotations
       @migration
     Migration

       (Changed in version 2.9.0) The behavior of `scanRight` has changed. The previous behavior can be reproduced with scanRight.reverse.

118. #### def segmentLength(p: (Node) ⇒ Boolean, from: Int): Int

     Computes length of longest segment whose elements all satisfy some predicate.

     Computes length of longest segment whose elements all satisfy some predicate.

     Note: may not terminate for infinite-sized collections.

     p

       the predicate used to test elements.

     from

       the index where the search starts.

     returns

       the length of the longest segment of this immutable sequence starting from index `from` such that every element of the segment satisfies the predicate `p`.

     Implicit information
       This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
     Shadowing
       This implicitly inherited member is shadowed by one or more members in this class.
       To access this member you can use a type ascription:

           (text: NodeSeq).segmentLength(p, from)

     Definition Classes
       SeqLike → GenSeqLike

119. #### val self: Any

     Implicit information
       This member is added by an implicit conversion from Text to StringAdd performed by method any2stringadd in scala.Predef.
     Shadowing
       This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
       To access this member you can use a type ascription:

           (text: StringAdd).self

     Definition Classes
       StringAdd

120. #### val self: Any

     Implicit information
       This member is added by an implicit conversion from Text to StringFormat performed by method any2stringfmt in scala.Predef.
     Shadowing
       This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
       To access this member you can use a type ascription:

           (text: StringFormat).self

     Definition Classes
       StringFormat

121. #### def seq: collection.immutable.Seq[Node]

     A version of this collection with all of the operations implemented sequentially (i.

     A version of this collection with all of the operations implemented sequentially (i.e. in a single-threaded manner).

     This method returns a reference to this collection. In parallel collections, it is redefined to return a sequential implementation of this collection. In both cases, it has O(1) complexity.

     returns

       a sequential view of the collection.

     Implicit information
       This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
     Shadowing
       This implicitly inherited member is shadowed by one or more members in this class.
       To access this member you can use a type ascription:

           (text: NodeSeq).seq

     Definition Classes
       Seq → Seq → GenSeq → GenSeqLike → Iterable → Iterable → GenIterable → Traversable → Traversable → GenTraversable → Parallelizable → TraversableOnce → GenTraversableOnce

122. #### def size: Int

     The size of this immutable sequence, equivalent to `length`.

     The size of this immutable sequence, equivalent to `length`.

     Note: will not terminate for infinite-sized collections.

     returns

       the number of elements in this immutable sequence.

     Implicit information
       This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
     Shadowing
       This implicitly inherited member is shadowed by one or more members in this class.
       To access this member you can use a type ascription:

           (text: NodeSeq).size

     Definition Classes
       SeqLike → GenTraversableLike → TraversableOnce → GenTraversableOnce

123. #### def slice(from: Int, until: Int): NodeSeq

     Selects an interval of elements.

     Selects an interval of elements. The returned collection is made up of all elements `x` which satisfy the invariant:

         from <= indexOf(x) < until

     returns

       a immutable sequence containing the elements greater than or equal to index `from` extending up to (but not including) index `until` of this immutable sequence.

     Implicit information
       This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
     Shadowing
       This implicitly inherited member is shadowed by one or more members in this class.
       To access this member you can use a type ascription:

           (text: NodeSeq).slice(from, until)

     Definition Classes
       IterableLike → TraversableLike → GenTraversableLike

124. #### def sliding(size: Int, step: Int): collection.Iterator[NodeSeq]

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.)

     size

       the number of elements per group

     step

       the distance between the first elements of successive groups (defaults to 1)

     returns

       An iterator producing immutable sequences of size `size`, except the last and the only element will be truncated if there are fewer elements than size.

     Implicit information
       This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
     Shadowing
       This implicitly inherited member is shadowed by one or more members in this class.
       To access this member you can use a type ascription:

           (text: NodeSeq).sliding(size, step)

     Definition Classes
       IterableLike
     See also

       scala.collection.Iterator, method `sliding`

125. #### def sliding(size: Int): collection.Iterator[NodeSeq]

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.)

     size

       the number of elements per group

     returns

       An iterator producing immutable sequences of size `size`, except the last and the only element will be truncated if there are fewer elements than size.

     Implicit information
       This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
     Shadowing
       This implicitly inherited member is shadowed by one or more members in this class.
       To access this member you can use a type ascription:

           (text: NodeSeq).sliding(size)

     Definition Classes
       IterableLike
     See also

       scala.collection.Iterator, method `sliding`

126. #### def sortBy[B](f: (Node) ⇒ B)(implicit ord: math.Ordering[B]): NodeSeq

     Sorts this `immutable.Seq` according to the Ordering which results from transforming an implicitly given Ordering with a transformation function.

     Sorts this `immutable.Seq` according to the Ordering which results from transforming an implicitly given Ordering with a transformation function.

     B

       the target type of the transformation `f`, and the type where the ordering `ord` is defined.

     f

       the transformation function mapping elements to some other domain `B`.

     ord

       the ordering assumed on domain `B`.

     returns

       a immutable sequence consisting of the elements of this immutable sequence sorted according to the ordering where `x < y` if `ord.lt(f(x), f(y))`.

     Implicit information
       This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
     Shadowing
       This implicitly inherited member is shadowed by one or more members in this class.
       To access this member you can use a type ascription:

           (text: NodeSeq).sortBy(f)(ord)

     Definition Classes
       SeqLike
     Example:

     1.     val words = "The quick brown fox jumped over the lazy dog".split(' ')
            // this works because scala.Ordering will implicitly provide an Ordering[Tuple2[Int, Char]]
            words.sortBy(x => (x.length, x.head))
            res0: Array[String] = Array(The, dog, fox, the, lazy, over, brown, quick, jumped)

     See also

       scala.math.Ordering

       Note: will not terminate for infinite-sized collections.

127. #### def sortWith(lt: (Node, Node) ⇒ Boolean): NodeSeq

     Sorts this immutable sequence according to a comparison function.

     Sorts this immutable sequence according to a comparison function.

     Note: will not terminate for infinite-sized collections.

     The sort is stable. That is, elements that are equal (as determined by `lt`) appear in the same order in the sorted sequence as in the original.

     lt

       the comparison function which tests whether its first argument precedes its second argument in the desired ordering.

     returns

       a immutable sequence consisting of the elements of this immutable sequence sorted according to the comparison function `lt`.

     Implicit information
       This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
     Shadowing
       This implicitly inherited member is shadowed by one or more members in this class.
       To access this member you can use a type ascription:

           (text: NodeSeq).sortWith(lt)

     Definition Classes
       SeqLike
     Example:

     1.     List("Steve", "Tom", "John", "Bob").sortWith(_.compareTo(_) < 0) =
            List("Bob", "John", "Steve", "Tom")

128. #### def sorted[B >: Node](implicit ord: math.Ordering[B]): NodeSeq

     Sorts this immutable sequence according to an Ordering.

     Sorts this immutable sequence according to an Ordering.

     The sort is stable. That is, elements that are equal (as determined by `lt`) appear in the same order in the sorted sequence as in the original.

     ord

       the ordering to be used to compare elements.

     returns

       a immutable sequence consisting of the elements of this immutable sequence sorted according to the ordering `ord`.

     Implicit information
       This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
     Shadowing
       This implicitly inherited member is shadowed by one or more members in this class.
       To access this member you can use a type ascription:

           (text: NodeSeq).sorted(ord)

     Definition Classes
       SeqLike
     See also

       scala.math.Ordering

129. #### def span(p: (Node) ⇒ Boolean): (NodeSeq, NodeSeq)

     Splits this immutable sequence into a prefix/suffix pair according to a predicate.

     Splits this immutable sequence into a prefix/suffix pair according to a predicate.

     Note: `c span p` is equivalent to (but possibly more efficient than) `(c takeWhile p, c dropWhile p)`, provided the evaluation of the predicate `p` does not cause any side-effects.

     returns

       a pair consisting of the longest prefix of this immutable sequence whose elements all satisfy `p`, and the rest of this immutable sequence.

     Implicit information
       This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
     Shadowing
       This implicitly inherited member is shadowed by one or more members in this class.
       To access this member you can use a type ascription:

           (text: NodeSeq).span(p)

     Definition Classes
       TraversableLike → GenTraversableLike

130. #### def splitAt(n: Int): (NodeSeq, NodeSeq)

     Splits this immutable sequence into two at a given position.

     Splits this immutable sequence into two at a given position. Note: `c splitAt n` is equivalent to (but possibly more efficient than) `(c take n, c drop n)`.

     n

       the position at which to split.

     returns

       a pair of immutable sequences consisting of the first `n` elements of this immutable sequence, and the other elements.

     Implicit information
       This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
     Shadowing
       This implicitly inherited member is shadowed by one or more members in this class.
       To access this member you can use a type ascription:

           (text: NodeSeq).splitAt(n)

     Definition Classes
       TraversableLike → GenTraversableLike

131. #### def startsWith[B](that: GenSeq[B], offset: Int): Boolean

     Tests whether this immutable sequence contains the given sequence at a given index.

     Tests whether this immutable sequence contains the given sequence at a given index.

     Note: If the both the receiver object `this` and the argument `that` are infinite sequences this method may not terminate.

     that

       the sequence to test

     offset

       the index where the sequence is searched.

     returns

       `true` if the sequence `that` is contained in this immutable sequence at index `offset`, otherwise `false`.

     Implicit information
       This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
     Shadowing
       This implicitly inherited member is shadowed by one or more members in this class.
       To access this member you can use a type ascription:

           (text: NodeSeq).startsWith(that, offset)

     Definition Classes
       SeqLike → GenSeqLike

132. #### def startsWith[B](that: GenSeq[B]): Boolean

     Tests whether this immutable sequence starts with the given sequence.

     Tests whether this immutable sequence starts with the given sequence.

     that

       the sequence to test

     returns

       `true` if this collection has `that` as a prefix, `false` otherwise.

     Implicit information
       This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
     Shadowing
       This implicitly inherited member is shadowed by one or more members in this class.
       To access this member you can use a type ascription:

           (text: NodeSeq).startsWith(that)

     Definition Classes
       GenSeqLike

133. #### def strict_!=(other: Equality): Boolean

     Implicit information
       This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
     Shadowing
       This implicitly inherited member is shadowed by one or more members in this class.
       To access this member you can use a type ascription:

           (text: NodeSeq).strict_!=(other)

     Definition Classes
       Equality

134. #### def strict_==(other: Equality): Boolean

     Implicit information
       This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
     Shadowing
       This implicitly inherited member is shadowed by one or more members in this class.
       To access this member you can use a type ascription:

           (text: NodeSeq).strict_==(other)

     Definition Classes
       NodeSeq → Equality

135. #### def stringPrefix: String

     Defines the prefix of this object's `toString` representation.

     Defines the prefix of this object's `toString` representation.

     returns

       a string representation which starts the result of `toString` applied to this immutable sequence. By default the string prefix is the simple name of the collection class immutable sequence.

     Implicit information
       This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
     Shadowing
       This implicitly inherited member is shadowed by one or more members in this class.
       To access this member you can use a type ascription:

           (text: NodeSeq).stringPrefix

     Definition Classes
       TraversableLike → GenTraversableLike

136. #### def sum: A

     [use case] Sums up the elements of this collection.

     [use case]

     Sums up the elements of this collection.

     returns

       the sum of all elements in this immutable sequence of numbers of type `Int`. Instead of `Int`, any other type `T` with an implicit `Numeric[T]` implementation can be used as element type of the immutable sequence and as result type of `sum`. Examples of such types are: `Long`, `Float`, `Double`, `BigInt`.

     Implicit information
       This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
     Shadowing
       This implicitly inherited member is shadowed by one or more members in this class.
       To access this member you can use a type ascription:

           (text: NodeSeq).sum

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def sum[B >: Node](implicit num: Numeric[B]): B

137. #### def tail: NodeSeq

     Selects all elements except the first.

     Selects all elements except the first.

     returns

       a immutable sequence consisting of all elements of this immutable sequence except the first one.

     Implicit information
       This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
     Shadowing
       This implicitly inherited member is shadowed by one or more members in this class.
       To access this member you can use a type ascription:

           (text: NodeSeq).tail

     Definition Classes
       TraversableLike → GenTraversableLike
     Exceptions thrown
       `UnsupportedOperationException`

       if the immutable sequence is empty.

138. #### def tails: collection.Iterator[NodeSeq]

     Iterates over the tails of this immutable sequence.

     Iterates over the tails of this immutable sequence. The first value will be this immutable sequence and the final one will be an empty immutable sequence, with the intervening values the results of successive applications of `tail`.

     returns

       an iterator over all the tails of this immutable sequence

     Implicit information
       This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
     Shadowing
       This implicitly inherited member is shadowed by one or more members in this class.
       To access this member you can use a type ascription:

           (text: NodeSeq).tails

     Definition Classes
       TraversableLike
     Example:

     1. `List(1,2,3).tails = Iterator(List(1,2,3), List(2,3), List(3), Nil)`

139. #### def take(n: Int): NodeSeq

     Selects first n elements.

     Selects first n elements.

     n

       the number of elements to take from this immutable sequence.

     returns

       a immutable sequence consisting only of the first `n` elements of this immutable sequence, or else the whole immutable sequence, if it has less than `n` elements.

     Implicit information
       This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
     Shadowing
       This implicitly inherited member is shadowed by one or more members in this class.
       To access this member you can use a type ascription:

           (text: NodeSeq).take(n)

     Definition Classes
       IterableLike → TraversableLike → GenTraversableLike

140. #### def takeRight(n: Int): NodeSeq

     Selects last n elements.

     Selects last n elements.

     n

       the number of elements to take

     returns

       a immutable sequence consisting only of the last `n` elements of this immutable sequence, or else the whole immutable sequence, if it has less than `n` elements.

     Implicit information
       This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
     Shadowing
       This implicitly inherited member is shadowed by one or more members in this class.
       To access this member you can use a type ascription:

           (text: NodeSeq).takeRight(n)

     Definition Classes
       IterableLike

141. #### def takeWhile(p: (Node) ⇒ Boolean): NodeSeq

     Takes longest prefix of elements that satisfy a predicate.

     Takes longest prefix of elements that satisfy a predicate.

     returns

       the longest prefix of this immutable sequence whose elements all satisfy the predicate `p`.

     Implicit information
       This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
     Shadowing
       This implicitly inherited member is shadowed by one or more members in this class.
       To access this member you can use a type ascription:

           (text: NodeSeq).takeWhile(p)

     Definition Classes
       IterableLike → TraversableLike → GenTraversableLike

142. #### def text: String

     Implicit information
       This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
     Shadowing
       This implicitly inherited member is shadowed by one or more members in this class.
       To access this member you can use a type ascription:

           (text: NodeSeq).text

     Definition Classes
       NodeSeq

143. #### def theSeq: Seq[Node]

     Implicit information
       This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
     Shadowing
       This implicitly inherited member is shadowed by one or more members in this class.
       To access this member you can use a type ascription:

           (text: NodeSeq).theSeq

     Definition Classes
       NodeSeq

144. #### def to[Col[_]]: Col[A]

     [use case] Converts this immutable sequence into another by copying all elements.

     [use case]

     Converts this immutable sequence into another by copying all elements.

     Note: will not terminate for infinite-sized collections.

     Col

       The collection type to build.

     returns

       a new collection containing all elements of this immutable sequence.

     Implicit information
       This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
     Shadowing
       This implicitly inherited member is shadowed by one or more members in this class.
       To access this member you can use a type ascription:

           (text: NodeSeq).to

     Definition Classes
       TraversableLike → TraversableOnce → GenTraversableOnce
     Full Signature

     #### def to[Col[_]](implicit cbf: CanBuildFrom[Nothing, Node, Col[Node]]): Col[Node]

145. #### def toArray: Array[A]

     [use case] Converts this immutable sequence to an array.

     [use case]

     Converts this immutable sequence to an array.

     Note: will not terminate for infinite-sized collections.

     returns

       an array containing all elements of this immutable sequence. An `ClassTag` must be available for the element type of this immutable sequence.

     Implicit information
       This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
     Shadowing
       This implicitly inherited member is shadowed by one or more members in this class.
       To access this member you can use a type ascription:

           (text: NodeSeq).toArray

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def toArray[B >: Node](implicit arg0: ClassTag[B]): Array[B]

146. #### def toBuffer[B >: Node]: Buffer[B]

     Converts this immutable sequence to a mutable buffer.

     Converts this immutable sequence to a mutable buffer.

     Note: will not terminate for infinite-sized collections.

     returns

       a buffer containing all elements of this immutable sequence.

     Implicit information
       This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
     Shadowing
       This implicitly inherited member is shadowed by one or more members in this class.
       To access this member you can use a type ascription:

           (text: NodeSeq).toBuffer

     Definition Classes
       TraversableOnce → GenTraversableOnce

147. #### def toIndexedSeq: collection.immutable.IndexedSeq[Node]

     Converts this immutable sequence to an indexed sequence.

     Converts this immutable sequence to an indexed sequence.

     Note: will not terminate for infinite-sized collections.

     returns

       an indexed sequence containing all elements of this immutable sequence.

     Implicit information
       This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
     Shadowing
       This implicitly inherited member is shadowed by one or more members in this class.
       To access this member you can use a type ascription:

           (text: NodeSeq).toIndexedSeq

     Definition Classes
       TraversableOnce → GenTraversableOnce

148. #### def toIterable: collection.Iterable[Node]

     Converts this immutable sequence to an iterable collection.

     Converts this immutable sequence to an iterable collection. Note that the choice of target `Iterable` is lazy in this default implementation as this `TraversableOnce` may be lazy and unevaluated (i.e. it may be an iterator which is only traversable once).

     Note: will not terminate for infinite-sized collections.

     returns

       an `Iterable` containing all elements of this immutable sequence.

     Implicit information
       This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
     Shadowing
       This implicitly inherited member is shadowed by one or more members in this class.
       To access this member you can use a type ascription:

           (text: NodeSeq).toIterable

     Definition Classes
       IterableLike → TraversableOnce → GenTraversableOnce

149. #### def toIterator: collection.Iterator[Node]

     Returns an Iterator over the elements in this immutable sequence.

     Returns an Iterator over the elements in this immutable sequence. Will return the same Iterator if this instance is already an Iterator.

     Note: will not terminate for infinite-sized collections.

     returns

       an Iterator containing all elements of this immutable sequence.

     Implicit information
       This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
     Shadowing
       This implicitly inherited member is shadowed by one or more members in this class.
       To access this member you can use a type ascription:

           (text: NodeSeq).toIterator

     Definition Classes
       IterableLike → TraversableLike → GenTraversableOnce

150. #### def toList: List[Node]

     Converts this immutable sequence to a list.

     Converts this immutable sequence to a list.

     Note: will not terminate for infinite-sized collections.

     returns

       a list containing all elements of this immutable sequence.

     Implicit information
       This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
     Shadowing
       This implicitly inherited member is shadowed by one or more members in this class.
       To access this member you can use a type ascription:

           (text: NodeSeq).toList

     Definition Classes
       TraversableOnce → GenTraversableOnce

151. #### def toMap[T, U]: Map[T, U]

     [use case] Converts this immutable sequence to a map.

     [use case]

     Converts this immutable sequence to a map. This method is unavailable unless the elements are members of Tuple2, each ((T, U)) becoming a key-value pair in the map. Duplicate keys will be overwritten by later keys: if this is an unordered collection, which key is in the resulting map is undefined.

     Note: will not terminate for infinite-sized collections.

     returns

       a map of type `immutable.Map[T, U]` containing all key/value pairs of type `(T, U)` of this immutable sequence.

     Implicit information
       This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
     Shadowing
       This implicitly inherited member is shadowed by one or more members in this class.
       To access this member you can use a type ascription:

           (text: NodeSeq).toMap

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def toMap[T, U](implicit ev: <:<[Node, (T, U)]): Map[T, U]

152. #### def toSeq: collection.immutable.Seq[Node]

     Converts this immutable sequence to a sequence.

     Converts this immutable sequence to a sequence.

     Note: will not terminate for infinite-sized collections.

     Overridden for efficiency.

     returns

       a sequence containing all elements of this immutable sequence.

     Implicit information
       This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
     Shadowing
       This implicitly inherited member is shadowed by one or more members in this class.
       To access this member you can use a type ascription:

           (text: NodeSeq).toSeq

     Definition Classes
       Seq → SeqLike → GenSeqLike → TraversableOnce → GenTraversableOnce

153. #### def toSet[B >: Node]: Set[B]

     Converts this immutable sequence to a set.

     Converts this immutable sequence to a set.

     Note: will not terminate for infinite-sized collections.

     returns

       a set containing all elements of this immutable sequence.

     Implicit information
       This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
     Shadowing
       This implicitly inherited member is shadowed by one or more members in this class.
       To access this member you can use a type ascription:

           (text: NodeSeq).toSet

     Definition Classes
       TraversableOnce → GenTraversableOnce

154. #### def toStream: collection.immutable.Stream[Node]

     Converts this immutable sequence to a stream.

     Converts this immutable sequence to a stream.

     Note: will not terminate for infinite-sized collections.

     returns

       a stream containing all elements of this immutable sequence.

     Implicit information
       This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
     Shadowing
       This implicitly inherited member is shadowed by one or more members in this class.
       To access this member you can use a type ascription:

           (text: NodeSeq).toStream

     Definition Classes
       IterableLike → TraversableLike → GenTraversableOnce

155. #### def toString(): String

     Converts this immutable sequence to a string.

     Converts this immutable sequence to a string.

     returns

       a string representation of this collection. By default this string consists of the `stringPrefix` of this immutable sequence, followed by all elements separated by commas and enclosed in parentheses.

     Implicit information
       This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
     Shadowing
       This implicitly inherited member is shadowed by one or more members in this class.
       To access this member you can use a type ascription:

           (text: NodeSeq).toString()

     Definition Classes
       NodeSeq → SeqLike → Function1 → TraversableLike → AnyRef → Any

156. #### def toTraversable: collection.Traversable[Node]

     Converts this immutable sequence to an unspecified Traversable.

     Converts this immutable sequence to an unspecified Traversable. Will return the same collection if this instance is already Traversable.

     Note: will not terminate for infinite-sized collections.

     returns

       a Traversable containing all elements of this immutable sequence.

     Implicit information
       This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
     Shadowing
       This implicitly inherited member is shadowed by one or more members in this class.
       To access this member you can use a type ascription:

           (text: NodeSeq).toTraversable

     Definition Classes
       TraversableLike → TraversableOnce → GenTraversableOnce

157. #### def toVector: Vector[Node]

     Converts this immutable sequence to a Vector.

     Converts this immutable sequence to a Vector.

     Note: will not terminate for infinite-sized collections.

     returns

       a vector containing all elements of this immutable sequence.

     Implicit information
       This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
     Shadowing
       This implicitly inherited member is shadowed by one or more members in this class.
       To access this member you can use a type ascription:

           (text: NodeSeq).toVector

     Definition Classes
       TraversableOnce → GenTraversableOnce

158. #### def transpose[B](implicit asTraversable: (Node) ⇒ GenTraversableOnce[B]): collection.immutable.Seq[collection.immutable.Seq[B]]

     Transposes this immutable sequence of traversable collections into a immutable sequence of immutable sequences.

     Transposes this immutable sequence of traversable collections into a immutable sequence of immutable sequences.

     B

       the type of the elements of each traversable collection.

     asTraversable

       an implicit conversion which asserts that the element type of this immutable sequence is a `Traversable`.

     returns

       a two-dimensional immutable sequence of immutable sequences which has as nth row the nth column of this immutable sequence.

     Implicit information
       This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
     Shadowing
       This implicitly inherited member is shadowed by one or more members in this class.
       To access this member you can use a type ascription:

           (text: NodeSeq).transpose(asTraversable)

     Definition Classes
       GenericTraversableTemplate
     Annotations
       @migration
     Migration

       (Changed in version 2.9.0) `transpose` throws an `IllegalArgumentException` if collections are not uniformly sized.

     Exceptions thrown
       `IllegalArgumentException`

       if all collections in this immutable sequence are not of the same size.

159. #### def union(that: collection.Seq[Node]): immutable.Seq[Node]

     [use case] Produces a new sequence which contains all elements of this immutable sequence and also all elements of a given sequence.

     [use case]

     Produces a new sequence which contains all elements of this immutable sequence and also all elements of a given sequence. `xs union ys` is equivalent to `xs ++ ys`.

     Another way to express this is that `xs union ys` computes the order-presevring multi-set union of `xs` and `ys`. `union` is hence a counter-part of `diff` and `intersect` which also work on multi-sets.

     Note: will not terminate for infinite-sized collections.

     that

       the sequence to add.

     returns

       a new immutable sequence which contains all elements of this immutable sequence followed by all elements of `that`.

     Implicit information
       This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
     Shadowing
       This implicitly inherited member is shadowed by one or more members in this class.
       To access this member you can use a type ascription:

           (text: NodeSeq).union(that)

     Definition Classes
       SeqLike → GenSeqLike
     Full Signature

     #### def union[B >: Node, That](that: GenSeq[B])(implicit bf: CanBuildFrom[NodeSeq, B, That]): That

160. #### def unzip[A1, A2](implicit asPair: (Node) ⇒ (A1, A2)): (collection.immutable.Seq[A1], collection.immutable.Seq[A2])

     Converts this immutable sequence of pairs into two collections of the first and second half of each pair.

     Converts this immutable sequence of pairs into two collections of the first and second half of each pair.

     A1

       the type of the first half of the element pairs

     A2

       the type of the second half of the element pairs

     asPair

       an implicit conversion which asserts that the element type of this immutable sequence is a pair.

     returns

       a pair immutable sequences, containing the first, respectively second half of each element pair of this immutable sequence.

     Implicit information
       This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
     Shadowing
       This implicitly inherited member is shadowed by one or more members in this class.
       To access this member you can use a type ascription:

           (text: NodeSeq).unzip(asPair)

     Definition Classes
       GenericTraversableTemplate

161. #### def unzip3[A1, A2, A3](implicit asTriple: (Node) ⇒ (A1, A2, A3)): (collection.immutable.Seq[A1], collection.immutable.Seq[A2], collection.immutable.Seq[A3])

     Converts this immutable sequence of triples into three collections of the first, second, and third element of each triple.

     Converts this immutable sequence of triples into three collections of the first, second, and third element of each triple.

     A1

       the type of the first member of the element triples

     A2

       the type of the second member of the element triples

     A3

       the type of the third member of the element triples

     asTriple

       an implicit conversion which asserts that the element type of this immutable sequence is a triple.

     returns

       a triple immutable sequences, containing the first, second, respectively third member of each element triple of this immutable sequence.

     Implicit information
       This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
     Shadowing
       This implicitly inherited member is shadowed by one or more members in this class.
       To access this member you can use a type ascription:

           (text: NodeSeq).unzip3(asTriple)

     Definition Classes
       GenericTraversableTemplate

162. #### def updated(index: Int, elem: A): immutable.Seq[A]

     [use case] A copy of this immutable sequence with one single replaced element.

     [use case]

     A copy of this immutable sequence with one single replaced element.

     index

       the position of the replacement

     elem

       the replacing element

     returns

       a copy of this immutable sequence with the element at position `index` replaced by `elem`.

     Implicit information
       This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
     Shadowing
       This implicitly inherited member is shadowed by one or more members in this class.
       To access this member you can use a type ascription:

           (text: NodeSeq).updated(index, elem)

     Definition Classes
       SeqLike → GenSeqLike
     Full Signature

     #### def updated[B >: Node, That](index: Int, elem: B)(implicit bf: CanBuildFrom[NodeSeq, B, That]): That

163. #### def view(from: Int, until: Int): SeqView[Node, NodeSeq]

     Creates a non-strict view of a slice of this immutable sequence.

     Creates a non-strict view of a slice of this immutable sequence.

     Note: the difference between `view` and `slice` is that `view` produces a view of the current immutable sequence, whereas `slice` produces a new immutable sequence.

     Note: `view(from, to)` is equivalent to `view.slice(from, to)`

     from

       the index of the first element of the view

     until

       the index of the element following the view

     returns

       a non-strict view of a slice of this immutable sequence, starting at index `from` and extending up to (but not including) index `until`.

     Implicit information
       This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
     Shadowing
       This implicitly inherited member is shadowed by one or more members in this class.
       To access this member you can use a type ascription:

           (text: NodeSeq).view(from, until)

     Definition Classes
       SeqLike → IterableLike → TraversableLike

164. #### def view: SeqView[Node, NodeSeq]

     Creates a non-strict view of this immutable sequence.

     Creates a non-strict view of this immutable sequence.

     returns

       a non-strict view of this immutable sequence.

     Implicit information
       This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
     Shadowing
       This implicitly inherited member is shadowed by one or more members in this class.
       To access this member you can use a type ascription:

           (text: NodeSeq).view

     Definition Classes
       SeqLike → IterableLike → TraversableLike

165. #### def withFilter(p: (Node) ⇒ Boolean): FilterMonadic[Node, NodeSeq]

     Creates a non-strict filter of this immutable sequence.

     Creates a non-strict filter of this immutable sequence.

     Note: the difference between `c filter p` and `c withFilter p` is that the former creates a new collection, whereas the latter only restricts the domain of subsequent `map`, `flatMap`, `foreach`, and `withFilter` operations.

     p

       the predicate used to test elements.

     returns

       an object of class `WithFilter`, which supports `map`, `flatMap`, `foreach`, and `withFilter` operations. All these operations apply to those elements of this immutable sequence which satisfy the predicate `p`.

     Implicit information
       This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
     Shadowing
       This implicitly inherited member is shadowed by one or more members in this class.
       To access this member you can use a type ascription:

           (text: NodeSeq).withFilter(p)

     Definition Classes
       TraversableLike → FilterMonadic

166. #### def withFilter(p: (Node) ⇒ Boolean): collection.Iterator[Node]

     Implicit information
       This member is added by an implicit conversion from Text to MonadOps[Node] performed by method MonadOps in scala.collection.TraversableOnce.
     Shadowing
       This implicitly inherited member is shadowed by one or more members in this class.
       To access this member you can use a type ascription:

           (text: MonadOps[Node]).withFilter(p)

     Definition Classes
       MonadOps

167. #### final def xml_!=(other: Any): Boolean

     Implicit information
       This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
     Shadowing
       This implicitly inherited member is shadowed by one or more members in this class.
       To access this member you can use a type ascription:

           (text: NodeSeq).xml_!=(other)

     Definition Classes
       Equality

168. #### final def xml_==(other: Any): Boolean

     Implicit information
       This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
     Shadowing
       This implicitly inherited member is shadowed by one or more members in this class.
       To access this member you can use a type ascription:

           (text: NodeSeq).xml_==(other)

     Definition Classes
       Equality

169. #### def xml_sameElements[A](that: Iterable[A]): Boolean

     Implicit information
       This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
     Shadowing
       This implicitly inherited member is shadowed by one or more members in this class.
       To access this member you can use a type ascription:

           (text: NodeSeq).xml_sameElements(that)

     Definition Classes
       NodeSeq

170. #### def zip[B](that: GenIterable[B]): immutable.Seq[(A, B)]

     [use case] Returns a immutable sequence formed from this immutable sequence and another iterable collection by combining corresponding elements in pairs.

     [use case]

     Returns a immutable sequence formed from this immutable sequence and another iterable collection by combining corresponding elements in pairs. If one of the two collections is longer than the other, its remaining elements are ignored.

     B

       the type of the second half of the returned pairs

     that

       The iterable providing the second half of each result pair

     returns

       a new immutable sequence containing pairs consisting of corresponding elements of this immutable sequence and `that`. The length of the returned collection is the minimum of the lengths of this immutable sequence and `that`.

     Implicit information
       This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
     Shadowing
       This implicitly inherited member is shadowed by one or more members in this class.
       To access this member you can use a type ascription:

           (text: NodeSeq).zip(that)

     Definition Classes
       IterableLike → GenIterableLike
     Full Signature

     #### def zip[A1 >: Node, B, That](that: GenIterable[B])(implicit bf: CanBuildFrom[NodeSeq, (A1, B), That]): That

171. #### def zipAll[B](that: collection.Iterable[B], thisElem: A, thatElem: B): immutable.Seq[(A, B)]

     [use case] Returns a immutable sequence formed from this immutable sequence and another iterable collection by combining corresponding elements in pairs.

     [use case]

     Returns a immutable sequence formed from this immutable sequence and another iterable collection by combining corresponding elements in pairs. If one of the two collections is shorter than the other, placeholder elements are used to extend the shorter collection to the length of the longer.

     B

       the type of the second half of the returned pairs

     that

       The iterable providing the second half of each result pair

     thisElem

       the element to be used to fill up the result if this immutable sequence is shorter than `that`.

     thatElem

       the element to be used to fill up the result if `that` is shorter than this immutable sequence.

     returns

       a new immutable sequence containing pairs consisting of corresponding elements of this immutable sequence and `that`. The length of the returned collection is the maximum of the lengths of this immutable sequence and `that`. If this immutable sequence is shorter than `that`, `thisElem` values are used to pad the result. If `that` is shorter than this immutable sequence, `thatElem` values are used to pad the result.

     Implicit information
       This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
     Shadowing
       This implicitly inherited member is shadowed by one or more members in this class.
       To access this member you can use a type ascription:

           (text: NodeSeq).zipAll(that, thisElem, thatElem)

     Definition Classes
       IterableLike → GenIterableLike
     Full Signature

     #### def zipAll[B, A1 >: Node, That](that: GenIterable[B], thisElem: A1, thatElem: B)(implicit bf: CanBuildFrom[NodeSeq, (A1, B), That]): That

172. #### def zipWithIndex: immutable.Seq[(A, Int)]

     [use case] Zips this immutable sequence with its indices.

     [use case]

     Zips this immutable sequence with its indices.

     returns

       A new immutable sequence containing pairs consisting of all elements of this immutable sequence paired with their index. Indices start at `0`.

     Implicit information
       This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
     Shadowing
       This implicitly inherited member is shadowed by one or more members in this class.
       To access this member you can use a type ascription:

           (text: NodeSeq).zipWithIndex

     Definition Classes
       IterableLike → GenIterableLike
     Full Signature

     #### def zipWithIndex[A1 >: Node, That](implicit bf: CanBuildFrom[NodeSeq, (A1, Int), That]): That

     Example:

     1. `List("a", "b", "c").zipWithIndex = List(("a", 0), ("b", 1), ("c", 2))`

### Deprecated Value Members

1. #### def /:\[A1 >: Node](z: A1)(op: (A1, A1) ⇒ A1): A1

   A syntactic sugar for out of order folding.

   A syntactic sugar for out of order folding. See `fold`.

   Example:

       scala> val a = LinkedList(1,2,3,4)
       a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

       scala> val b = (a /:\ 5)(_+_)
       b: Int = 15

   Implicit information
     This member is added by an implicit conversion from Text to NodeSeq performed by method seqToNodeSeq in scala.xml.NodeSeq.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (text: NodeSeq)./:\(z)(op)

   Definition Classes
     GenTraversableOnce
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) use fold instead

2. #### def /:\[A1 >: Node](z: A1)(op: (A1, A1) ⇒ A1): A1

   A syntactic sugar for out of order folding.

   A syntactic sugar for out of order folding. See `fold`.

   Example:

       scala> val a = LinkedList(1,2,3,4)
       a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

       scala> val b = (a /:\ 5)(_+_)
       b: Int = 15

   Definition Classes
     GenTraversableOnce
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) use fold instead

3. #### def x: Text

   Implicit information
     This member is added by an implicit conversion from Text to ArrowAssoc[Text] performed by method any2ArrowAssoc in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (text: ArrowAssoc[Text]).x

   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `leftOfArrow`instead``

4. #### def x: Text

   Implicit information
     This member is added by an implicit conversion from Text to Ensuring[Text] performed by method any2Ensuring in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (text: Ensuring[Text]).x

   Definition Classes
     Ensuring
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `resultOfEnsuring`instead``

### Inherited from Atom[String]

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from SpecialNode

### Inherited from XMLEvent

### Inherited from Node

### Inherited from NodeSeq

### Inherited from Equality

### Inherited from collection.immutable.Seq[Node]

### Inherited from collection.immutable.Iterable[Node]

### Inherited from collection.immutable.Traversable[Node]

### Inherited from Immutable

### Inherited from AbstractSeq[Node]

### Inherited from collection.Seq[Node]

### Inherited from SeqLike[Node, NodeSeq]

### Inherited from GenSeq[Node]

### Inherited from GenSeqLike[Node, NodeSeq]

### Inherited from PartialFunction[Int, Node]

### Inherited from (Int) ⇒ Node

### Inherited from AbstractIterable[Node]

### Inherited from collection.Iterable[Node]

### Inherited from IterableLike[Node, NodeSeq]

### Inherited from Equals

### Inherited from GenIterable[Node]

### Inherited from GenIterableLike[Node, NodeSeq]

### Inherited from AbstractTraversable[Node]

### Inherited from collection.Traversable[Node]

### Inherited from GenTraversable[Node]

### Inherited from GenericTraversableTemplate[Node, collection.immutable.Seq]

### Inherited from TraversableLike[Node, NodeSeq]

### Inherited from GenTraversableLike[Node, NodeSeq]

### Inherited from Parallelizable[Node, ParSeq[Node]]

### Inherited from collection.TraversableOnce[Node]

### Inherited from GenTraversableOnce[Node]

### Inherited from FilterMonadic[Node, NodeSeq]

### Inherited from HasNewBuilder[Node, NodeSeq]

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion seqToNodeSeq from Text to NodeSeq

### Inherited by implicit conversion traversable2ops from Text to TraversableOps[Node]

### Inherited by implicit conversion MonadOps from Text to MonadOps[Node]

### Inherited by implicit conversion flattenTraversableOnce from Text to FlattenOps[Node]

### Inherited by implicit conversion any2stringadd from Text to StringAdd

### Inherited by implicit conversion any2stringfmt from Text to StringFormat

### Inherited by implicit conversion any2ArrowAssoc from Text to ArrowAssoc[Text]

### Inherited by implicit conversion any2Ensuring from Text to Ensuring[Text]

### Inherited by implicit conversion alternateImplicit from Text to ForceImplicitAmbiguity

### Ungrouped